//go:build !ignore_autogenerated_conversions
// +build !ignore_autogenerated_conversions

/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by conversion-gen. DO NOT EDIT.

package v1alpha3

import (
	time "time"
	unsafe "unsafe"

	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
	v1beta1 "sigs.k8s.io/cluster-api-provider-aws/api/v1beta1"
	apiv1alpha3 "sigs.k8s.io/cluster-api/api/v1alpha3"
	apiv1beta1 "sigs.k8s.io/cluster-api/api/v1beta1"
	errors "sigs.k8s.io/cluster-api/errors"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*AWSCluster)(nil), (*v1beta1.AWSCluster)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSCluster_To_v1beta1_AWSCluster(a.(*AWSCluster), b.(*v1beta1.AWSCluster), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSCluster)(nil), (*AWSCluster)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSCluster_To_v1alpha3_AWSCluster(a.(*v1beta1.AWSCluster), b.(*AWSCluster), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterControllerIdentity)(nil), (*v1beta1.AWSClusterControllerIdentity)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterControllerIdentity_To_v1beta1_AWSClusterControllerIdentity(a.(*AWSClusterControllerIdentity), b.(*v1beta1.AWSClusterControllerIdentity), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterControllerIdentity)(nil), (*AWSClusterControllerIdentity)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterControllerIdentity_To_v1alpha3_AWSClusterControllerIdentity(a.(*v1beta1.AWSClusterControllerIdentity), b.(*AWSClusterControllerIdentity), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterControllerIdentityList)(nil), (*v1beta1.AWSClusterControllerIdentityList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterControllerIdentityList_To_v1beta1_AWSClusterControllerIdentityList(a.(*AWSClusterControllerIdentityList), b.(*v1beta1.AWSClusterControllerIdentityList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterControllerIdentityList)(nil), (*AWSClusterControllerIdentityList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterControllerIdentityList_To_v1alpha3_AWSClusterControllerIdentityList(a.(*v1beta1.AWSClusterControllerIdentityList), b.(*AWSClusterControllerIdentityList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterControllerIdentitySpec)(nil), (*v1beta1.AWSClusterControllerIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterControllerIdentitySpec_To_v1beta1_AWSClusterControllerIdentitySpec(a.(*AWSClusterControllerIdentitySpec), b.(*v1beta1.AWSClusterControllerIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterControllerIdentitySpec)(nil), (*AWSClusterControllerIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterControllerIdentitySpec_To_v1alpha3_AWSClusterControllerIdentitySpec(a.(*v1beta1.AWSClusterControllerIdentitySpec), b.(*AWSClusterControllerIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterIdentitySpec)(nil), (*v1beta1.AWSClusterIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec(a.(*AWSClusterIdentitySpec), b.(*v1beta1.AWSClusterIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterIdentitySpec)(nil), (*AWSClusterIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec(a.(*v1beta1.AWSClusterIdentitySpec), b.(*AWSClusterIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterList)(nil), (*v1beta1.AWSClusterList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterList_To_v1beta1_AWSClusterList(a.(*AWSClusterList), b.(*v1beta1.AWSClusterList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterList)(nil), (*AWSClusterList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterList_To_v1alpha3_AWSClusterList(a.(*v1beta1.AWSClusterList), b.(*AWSClusterList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterRoleIdentity)(nil), (*v1beta1.AWSClusterRoleIdentity)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterRoleIdentity_To_v1beta1_AWSClusterRoleIdentity(a.(*AWSClusterRoleIdentity), b.(*v1beta1.AWSClusterRoleIdentity), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterRoleIdentity)(nil), (*AWSClusterRoleIdentity)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterRoleIdentity_To_v1alpha3_AWSClusterRoleIdentity(a.(*v1beta1.AWSClusterRoleIdentity), b.(*AWSClusterRoleIdentity), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterRoleIdentityList)(nil), (*v1beta1.AWSClusterRoleIdentityList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterRoleIdentityList_To_v1beta1_AWSClusterRoleIdentityList(a.(*AWSClusterRoleIdentityList), b.(*v1beta1.AWSClusterRoleIdentityList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterRoleIdentityList)(nil), (*AWSClusterRoleIdentityList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterRoleIdentityList_To_v1alpha3_AWSClusterRoleIdentityList(a.(*v1beta1.AWSClusterRoleIdentityList), b.(*AWSClusterRoleIdentityList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterRoleIdentitySpec)(nil), (*v1beta1.AWSClusterRoleIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterRoleIdentitySpec_To_v1beta1_AWSClusterRoleIdentitySpec(a.(*AWSClusterRoleIdentitySpec), b.(*v1beta1.AWSClusterRoleIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterRoleIdentitySpec)(nil), (*AWSClusterRoleIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterRoleIdentitySpec_To_v1alpha3_AWSClusterRoleIdentitySpec(a.(*v1beta1.AWSClusterRoleIdentitySpec), b.(*AWSClusterRoleIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterSpec)(nil), (*v1beta1.AWSClusterSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterSpec_To_v1beta1_AWSClusterSpec(a.(*AWSClusterSpec), b.(*v1beta1.AWSClusterSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterStaticIdentity)(nil), (*v1beta1.AWSClusterStaticIdentity)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterStaticIdentity_To_v1beta1_AWSClusterStaticIdentity(a.(*AWSClusterStaticIdentity), b.(*v1beta1.AWSClusterStaticIdentity), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterStaticIdentity)(nil), (*AWSClusterStaticIdentity)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterStaticIdentity_To_v1alpha3_AWSClusterStaticIdentity(a.(*v1beta1.AWSClusterStaticIdentity), b.(*AWSClusterStaticIdentity), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterStaticIdentityList)(nil), (*v1beta1.AWSClusterStaticIdentityList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterStaticIdentityList_To_v1beta1_AWSClusterStaticIdentityList(a.(*AWSClusterStaticIdentityList), b.(*v1beta1.AWSClusterStaticIdentityList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSClusterStaticIdentityList)(nil), (*AWSClusterStaticIdentityList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterStaticIdentityList_To_v1alpha3_AWSClusterStaticIdentityList(a.(*v1beta1.AWSClusterStaticIdentityList), b.(*AWSClusterStaticIdentityList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSClusterStatus)(nil), (*v1beta1.AWSClusterStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterStatus_To_v1beta1_AWSClusterStatus(a.(*AWSClusterStatus), b.(*v1beta1.AWSClusterStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSIdentityReference)(nil), (*v1beta1.AWSIdentityReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSIdentityReference_To_v1beta1_AWSIdentityReference(a.(*AWSIdentityReference), b.(*v1beta1.AWSIdentityReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSIdentityReference)(nil), (*AWSIdentityReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSIdentityReference_To_v1alpha3_AWSIdentityReference(a.(*v1beta1.AWSIdentityReference), b.(*AWSIdentityReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSLoadBalancerSpec)(nil), (*v1beta1.AWSLoadBalancerSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSLoadBalancerSpec_To_v1beta1_AWSLoadBalancerSpec(a.(*AWSLoadBalancerSpec), b.(*v1beta1.AWSLoadBalancerSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachine)(nil), (*v1beta1.AWSMachine)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachine_To_v1beta1_AWSMachine(a.(*AWSMachine), b.(*v1beta1.AWSMachine), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachine)(nil), (*AWSMachine)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachine_To_v1alpha3_AWSMachine(a.(*v1beta1.AWSMachine), b.(*AWSMachine), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachineList)(nil), (*v1beta1.AWSMachineList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachineList_To_v1beta1_AWSMachineList(a.(*AWSMachineList), b.(*v1beta1.AWSMachineList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachineList)(nil), (*AWSMachineList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachineList_To_v1alpha3_AWSMachineList(a.(*v1beta1.AWSMachineList), b.(*AWSMachineList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachineSpec)(nil), (*v1beta1.AWSMachineSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachineSpec_To_v1beta1_AWSMachineSpec(a.(*AWSMachineSpec), b.(*v1beta1.AWSMachineSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachineStatus)(nil), (*v1beta1.AWSMachineStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachineStatus_To_v1beta1_AWSMachineStatus(a.(*AWSMachineStatus), b.(*v1beta1.AWSMachineStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachineStatus)(nil), (*AWSMachineStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachineStatus_To_v1alpha3_AWSMachineStatus(a.(*v1beta1.AWSMachineStatus), b.(*AWSMachineStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachineTemplate)(nil), (*v1beta1.AWSMachineTemplate)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachineTemplate_To_v1beta1_AWSMachineTemplate(a.(*AWSMachineTemplate), b.(*v1beta1.AWSMachineTemplate), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachineTemplate)(nil), (*AWSMachineTemplate)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachineTemplate_To_v1alpha3_AWSMachineTemplate(a.(*v1beta1.AWSMachineTemplate), b.(*AWSMachineTemplate), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachineTemplateList)(nil), (*v1beta1.AWSMachineTemplateList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachineTemplateList_To_v1beta1_AWSMachineTemplateList(a.(*AWSMachineTemplateList), b.(*v1beta1.AWSMachineTemplateList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachineTemplateList)(nil), (*AWSMachineTemplateList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachineTemplateList_To_v1alpha3_AWSMachineTemplateList(a.(*v1beta1.AWSMachineTemplateList), b.(*AWSMachineTemplateList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachineTemplateResource)(nil), (*v1beta1.AWSMachineTemplateResource)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachineTemplateResource_To_v1beta1_AWSMachineTemplateResource(a.(*AWSMachineTemplateResource), b.(*v1beta1.AWSMachineTemplateResource), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachineTemplateSpec)(nil), (*v1beta1.AWSMachineTemplateSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSMachineTemplateSpec_To_v1beta1_AWSMachineTemplateSpec(a.(*AWSMachineTemplateSpec), b.(*v1beta1.AWSMachineTemplateSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachineTemplateSpec)(nil), (*AWSMachineTemplateSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachineTemplateSpec_To_v1alpha3_AWSMachineTemplateSpec(a.(*v1beta1.AWSMachineTemplateSpec), b.(*AWSMachineTemplateSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSResourceReference)(nil), (*v1beta1.AWSResourceReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSResourceReference_To_v1beta1_AWSResourceReference(a.(*AWSResourceReference), b.(*v1beta1.AWSResourceReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSResourceReference)(nil), (*AWSResourceReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSResourceReference_To_v1alpha3_AWSResourceReference(a.(*v1beta1.AWSResourceReference), b.(*AWSResourceReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSRoleSpec)(nil), (*v1beta1.AWSRoleSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSRoleSpec_To_v1beta1_AWSRoleSpec(a.(*AWSRoleSpec), b.(*v1beta1.AWSRoleSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSRoleSpec)(nil), (*AWSRoleSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSRoleSpec_To_v1alpha3_AWSRoleSpec(a.(*v1beta1.AWSRoleSpec), b.(*AWSRoleSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AllowedNamespaces)(nil), (*v1beta1.AllowedNamespaces)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AllowedNamespaces_To_v1beta1_AllowedNamespaces(a.(*AllowedNamespaces), b.(*v1beta1.AllowedNamespaces), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AllowedNamespaces)(nil), (*AllowedNamespaces)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AllowedNamespaces_To_v1alpha3_AllowedNamespaces(a.(*v1beta1.AllowedNamespaces), b.(*AllowedNamespaces), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Bastion)(nil), (*v1beta1.Bastion)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_Bastion_To_v1beta1_Bastion(a.(*Bastion), b.(*v1beta1.Bastion), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.Bastion)(nil), (*Bastion)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Bastion_To_v1alpha3_Bastion(a.(*v1beta1.Bastion), b.(*Bastion), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*BuildParams)(nil), (*v1beta1.BuildParams)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_BuildParams_To_v1beta1_BuildParams(a.(*BuildParams), b.(*v1beta1.BuildParams), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.BuildParams)(nil), (*BuildParams)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_BuildParams_To_v1alpha3_BuildParams(a.(*v1beta1.BuildParams), b.(*BuildParams), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CNIIngressRule)(nil), (*v1beta1.CNIIngressRule)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_CNIIngressRule_To_v1beta1_CNIIngressRule(a.(*CNIIngressRule), b.(*v1beta1.CNIIngressRule), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.CNIIngressRule)(nil), (*CNIIngressRule)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_CNIIngressRule_To_v1alpha3_CNIIngressRule(a.(*v1beta1.CNIIngressRule), b.(*CNIIngressRule), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CNISpec)(nil), (*v1beta1.CNISpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_CNISpec_To_v1beta1_CNISpec(a.(*CNISpec), b.(*v1beta1.CNISpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.CNISpec)(nil), (*CNISpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_CNISpec_To_v1alpha3_CNISpec(a.(*v1beta1.CNISpec), b.(*CNISpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ClassicELB)(nil), (*v1beta1.ClassicELB)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_ClassicELB_To_v1beta1_ClassicELB(a.(*ClassicELB), b.(*v1beta1.ClassicELB), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.ClassicELB)(nil), (*ClassicELB)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ClassicELB_To_v1alpha3_ClassicELB(a.(*v1beta1.ClassicELB), b.(*ClassicELB), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ClassicELBAttributes)(nil), (*v1beta1.ClassicELBAttributes)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_ClassicELBAttributes_To_v1beta1_ClassicELBAttributes(a.(*ClassicELBAttributes), b.(*v1beta1.ClassicELBAttributes), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.ClassicELBAttributes)(nil), (*ClassicELBAttributes)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ClassicELBAttributes_To_v1alpha3_ClassicELBAttributes(a.(*v1beta1.ClassicELBAttributes), b.(*ClassicELBAttributes), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ClassicELBHealthCheck)(nil), (*v1beta1.ClassicELBHealthCheck)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_ClassicELBHealthCheck_To_v1beta1_ClassicELBHealthCheck(a.(*ClassicELBHealthCheck), b.(*v1beta1.ClassicELBHealthCheck), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.ClassicELBHealthCheck)(nil), (*ClassicELBHealthCheck)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ClassicELBHealthCheck_To_v1alpha3_ClassicELBHealthCheck(a.(*v1beta1.ClassicELBHealthCheck), b.(*ClassicELBHealthCheck), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ClassicELBListener)(nil), (*v1beta1.ClassicELBListener)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_ClassicELBListener_To_v1beta1_ClassicELBListener(a.(*ClassicELBListener), b.(*v1beta1.ClassicELBListener), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.ClassicELBListener)(nil), (*ClassicELBListener)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ClassicELBListener_To_v1alpha3_ClassicELBListener(a.(*v1beta1.ClassicELBListener), b.(*ClassicELBListener), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CloudInit)(nil), (*v1beta1.CloudInit)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_CloudInit_To_v1beta1_CloudInit(a.(*CloudInit), b.(*v1beta1.CloudInit), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.CloudInit)(nil), (*CloudInit)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_CloudInit_To_v1alpha3_CloudInit(a.(*v1beta1.CloudInit), b.(*CloudInit), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Filter)(nil), (*v1beta1.Filter)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_Filter_To_v1beta1_Filter(a.(*Filter), b.(*v1beta1.Filter), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.Filter)(nil), (*Filter)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Filter_To_v1alpha3_Filter(a.(*v1beta1.Filter), b.(*Filter), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*IngressRule)(nil), (*v1beta1.IngressRule)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_IngressRule_To_v1beta1_IngressRule(a.(*IngressRule), b.(*v1beta1.IngressRule), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.IngressRule)(nil), (*IngressRule)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_IngressRule_To_v1alpha3_IngressRule(a.(*v1beta1.IngressRule), b.(*IngressRule), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Instance)(nil), (*v1beta1.Instance)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_Instance_To_v1beta1_Instance(a.(*Instance), b.(*v1beta1.Instance), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*NetworkSpec)(nil), (*v1beta1.NetworkSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_NetworkSpec_To_v1beta1_NetworkSpec(a.(*NetworkSpec), b.(*v1beta1.NetworkSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.NetworkSpec)(nil), (*NetworkSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_NetworkSpec_To_v1alpha3_NetworkSpec(a.(*v1beta1.NetworkSpec), b.(*NetworkSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*RouteTable)(nil), (*v1beta1.RouteTable)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_RouteTable_To_v1beta1_RouteTable(a.(*RouteTable), b.(*v1beta1.RouteTable), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.RouteTable)(nil), (*RouteTable)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_RouteTable_To_v1alpha3_RouteTable(a.(*v1beta1.RouteTable), b.(*RouteTable), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*SecurityGroup)(nil), (*v1beta1.SecurityGroup)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_SecurityGroup_To_v1beta1_SecurityGroup(a.(*SecurityGroup), b.(*v1beta1.SecurityGroup), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.SecurityGroup)(nil), (*SecurityGroup)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_SecurityGroup_To_v1alpha3_SecurityGroup(a.(*v1beta1.SecurityGroup), b.(*SecurityGroup), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*SpotMarketOptions)(nil), (*v1beta1.SpotMarketOptions)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_SpotMarketOptions_To_v1beta1_SpotMarketOptions(a.(*SpotMarketOptions), b.(*v1beta1.SpotMarketOptions), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.SpotMarketOptions)(nil), (*SpotMarketOptions)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_SpotMarketOptions_To_v1alpha3_SpotMarketOptions(a.(*v1beta1.SpotMarketOptions), b.(*SpotMarketOptions), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*SubnetSpec)(nil), (*v1beta1.SubnetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_SubnetSpec_To_v1beta1_SubnetSpec(a.(*SubnetSpec), b.(*v1beta1.SubnetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.SubnetSpec)(nil), (*SubnetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_SubnetSpec_To_v1alpha3_SubnetSpec(a.(*v1beta1.SubnetSpec), b.(*SubnetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*VPCSpec)(nil), (*v1beta1.VPCSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_VPCSpec_To_v1beta1_VPCSpec(a.(*VPCSpec), b.(*v1beta1.VPCSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.VPCSpec)(nil), (*VPCSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_VPCSpec_To_v1alpha3_VPCSpec(a.(*v1beta1.VPCSpec), b.(*VPCSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Volume)(nil), (*v1beta1.Volume)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_Volume_To_v1beta1_Volume(a.(*Volume), b.(*v1beta1.Volume), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*AWSClusterStaticIdentitySpec)(nil), (*v1beta1.AWSClusterStaticIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSClusterStaticIdentitySpec_To_v1beta1_AWSClusterStaticIdentitySpec(a.(*AWSClusterStaticIdentitySpec), b.(*v1beta1.AWSClusterStaticIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*AWSResourceReference)(nil), (*v1beta1.AMIReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_AWSResourceReference_To_v1beta1_AMIReference(a.(*AWSResourceReference), b.(*v1beta1.AMIReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*Network)(nil), (*v1beta1.NetworkStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_Network_To_v1beta1_NetworkStatus(a.(*Network), b.(*v1beta1.NetworkStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AMIReference)(nil), (*AWSResourceReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AMIReference_To_v1alpha3_AWSResourceReference(a.(*v1beta1.AMIReference), b.(*AWSResourceReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AWSClusterSpec)(nil), (*AWSClusterSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterSpec_To_v1alpha3_AWSClusterSpec(a.(*v1beta1.AWSClusterSpec), b.(*AWSClusterSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AWSClusterStaticIdentitySpec)(nil), (*AWSClusterStaticIdentitySpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterStaticIdentitySpec_To_v1alpha3_AWSClusterStaticIdentitySpec(a.(*v1beta1.AWSClusterStaticIdentitySpec), b.(*AWSClusterStaticIdentitySpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AWSClusterStatus)(nil), (*AWSClusterStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSClusterStatus_To_v1alpha3_AWSClusterStatus(a.(*v1beta1.AWSClusterStatus), b.(*AWSClusterStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AWSLoadBalancerSpec)(nil), (*AWSLoadBalancerSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSLoadBalancerSpec_To_v1alpha3_AWSLoadBalancerSpec(a.(*v1beta1.AWSLoadBalancerSpec), b.(*AWSLoadBalancerSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AWSMachineSpec)(nil), (*AWSMachineSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachineSpec_To_v1alpha3_AWSMachineSpec(a.(*v1beta1.AWSMachineSpec), b.(*AWSMachineSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AWSMachineTemplateResource)(nil), (*AWSMachineTemplateResource)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachineTemplateResource_To_v1alpha3_AWSMachineTemplateResource(a.(*v1beta1.AWSMachineTemplateResource), b.(*AWSMachineTemplateResource), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.Instance)(nil), (*Instance)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Instance_To_v1alpha3_Instance(a.(*v1beta1.Instance), b.(*Instance), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.NetworkStatus)(nil), (*Network)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_NetworkStatus_To_v1alpha3_Network(a.(*v1beta1.NetworkStatus), b.(*Network), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.Volume)(nil), (*Volume)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Volume_To_v1alpha3_Volume(a.(*v1beta1.Volume), b.(*Volume), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1alpha3_AWSCluster_To_v1beta1_AWSCluster(in *AWSCluster, out *v1beta1.AWSCluster, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha3_AWSClusterSpec_To_v1beta1_AWSClusterSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha3_AWSClusterStatus_To_v1beta1_AWSClusterStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSCluster_To_v1beta1_AWSCluster is an autogenerated conversion function.
func Convert_v1alpha3_AWSCluster_To_v1beta1_AWSCluster(in *AWSCluster, out *v1beta1.AWSCluster, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSCluster_To_v1beta1_AWSCluster(in, out, s)
}

func autoConvert_v1beta1_AWSCluster_To_v1alpha3_AWSCluster(in *v1beta1.AWSCluster, out *AWSCluster, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSClusterSpec_To_v1alpha3_AWSClusterSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_AWSClusterStatus_To_v1alpha3_AWSClusterStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSCluster_To_v1alpha3_AWSCluster is an autogenerated conversion function.
func Convert_v1beta1_AWSCluster_To_v1alpha3_AWSCluster(in *v1beta1.AWSCluster, out *AWSCluster, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSCluster_To_v1alpha3_AWSCluster(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterControllerIdentity_To_v1beta1_AWSClusterControllerIdentity(in *AWSClusterControllerIdentity, out *v1beta1.AWSClusterControllerIdentity, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha3_AWSClusterControllerIdentitySpec_To_v1beta1_AWSClusterControllerIdentitySpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSClusterControllerIdentity_To_v1beta1_AWSClusterControllerIdentity is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterControllerIdentity_To_v1beta1_AWSClusterControllerIdentity(in *AWSClusterControllerIdentity, out *v1beta1.AWSClusterControllerIdentity, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterControllerIdentity_To_v1beta1_AWSClusterControllerIdentity(in, out, s)
}

func autoConvert_v1beta1_AWSClusterControllerIdentity_To_v1alpha3_AWSClusterControllerIdentity(in *v1beta1.AWSClusterControllerIdentity, out *AWSClusterControllerIdentity, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSClusterControllerIdentitySpec_To_v1alpha3_AWSClusterControllerIdentitySpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSClusterControllerIdentity_To_v1alpha3_AWSClusterControllerIdentity is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterControllerIdentity_To_v1alpha3_AWSClusterControllerIdentity(in *v1beta1.AWSClusterControllerIdentity, out *AWSClusterControllerIdentity, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterControllerIdentity_To_v1alpha3_AWSClusterControllerIdentity(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterControllerIdentityList_To_v1beta1_AWSClusterControllerIdentityList(in *AWSClusterControllerIdentityList, out *v1beta1.AWSClusterControllerIdentityList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]v1beta1.AWSClusterControllerIdentity)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha3_AWSClusterControllerIdentityList_To_v1beta1_AWSClusterControllerIdentityList is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterControllerIdentityList_To_v1beta1_AWSClusterControllerIdentityList(in *AWSClusterControllerIdentityList, out *v1beta1.AWSClusterControllerIdentityList, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterControllerIdentityList_To_v1beta1_AWSClusterControllerIdentityList(in, out, s)
}

func autoConvert_v1beta1_AWSClusterControllerIdentityList_To_v1alpha3_AWSClusterControllerIdentityList(in *v1beta1.AWSClusterControllerIdentityList, out *AWSClusterControllerIdentityList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]AWSClusterControllerIdentity)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_AWSClusterControllerIdentityList_To_v1alpha3_AWSClusterControllerIdentityList is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterControllerIdentityList_To_v1alpha3_AWSClusterControllerIdentityList(in *v1beta1.AWSClusterControllerIdentityList, out *AWSClusterControllerIdentityList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterControllerIdentityList_To_v1alpha3_AWSClusterControllerIdentityList(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterControllerIdentitySpec_To_v1beta1_AWSClusterControllerIdentitySpec(in *AWSClusterControllerIdentitySpec, out *v1beta1.AWSClusterControllerIdentitySpec, s conversion.Scope) error {
	if err := Convert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec(&in.AWSClusterIdentitySpec, &out.AWSClusterIdentitySpec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSClusterControllerIdentitySpec_To_v1beta1_AWSClusterControllerIdentitySpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterControllerIdentitySpec_To_v1beta1_AWSClusterControllerIdentitySpec(in *AWSClusterControllerIdentitySpec, out *v1beta1.AWSClusterControllerIdentitySpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterControllerIdentitySpec_To_v1beta1_AWSClusterControllerIdentitySpec(in, out, s)
}

func autoConvert_v1beta1_AWSClusterControllerIdentitySpec_To_v1alpha3_AWSClusterControllerIdentitySpec(in *v1beta1.AWSClusterControllerIdentitySpec, out *AWSClusterControllerIdentitySpec, s conversion.Scope) error {
	if err := Convert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec(&in.AWSClusterIdentitySpec, &out.AWSClusterIdentitySpec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSClusterControllerIdentitySpec_To_v1alpha3_AWSClusterControllerIdentitySpec is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterControllerIdentitySpec_To_v1alpha3_AWSClusterControllerIdentitySpec(in *v1beta1.AWSClusterControllerIdentitySpec, out *AWSClusterControllerIdentitySpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterControllerIdentitySpec_To_v1alpha3_AWSClusterControllerIdentitySpec(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec(in *AWSClusterIdentitySpec, out *v1beta1.AWSClusterIdentitySpec, s conversion.Scope) error {
	out.AllowedNamespaces = (*v1beta1.AllowedNamespaces)(unsafe.Pointer(in.AllowedNamespaces))
	return nil
}

// Convert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec(in *AWSClusterIdentitySpec, out *v1beta1.AWSClusterIdentitySpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec(in, out, s)
}

func autoConvert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec(in *v1beta1.AWSClusterIdentitySpec, out *AWSClusterIdentitySpec, s conversion.Scope) error {
	out.AllowedNamespaces = (*AllowedNamespaces)(unsafe.Pointer(in.AllowedNamespaces))
	return nil
}

// Convert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec(in *v1beta1.AWSClusterIdentitySpec, out *AWSClusterIdentitySpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterList_To_v1beta1_AWSClusterList(in *AWSClusterList, out *v1beta1.AWSClusterList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1beta1.AWSCluster, len(*in))
		for i := range *in {
			if err := Convert_v1alpha3_AWSCluster_To_v1beta1_AWSCluster(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha3_AWSClusterList_To_v1beta1_AWSClusterList is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterList_To_v1beta1_AWSClusterList(in *AWSClusterList, out *v1beta1.AWSClusterList, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterList_To_v1beta1_AWSClusterList(in, out, s)
}

func autoConvert_v1beta1_AWSClusterList_To_v1alpha3_AWSClusterList(in *v1beta1.AWSClusterList, out *AWSClusterList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]AWSCluster, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_AWSCluster_To_v1alpha3_AWSCluster(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1beta1_AWSClusterList_To_v1alpha3_AWSClusterList is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterList_To_v1alpha3_AWSClusterList(in *v1beta1.AWSClusterList, out *AWSClusterList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterList_To_v1alpha3_AWSClusterList(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterRoleIdentity_To_v1beta1_AWSClusterRoleIdentity(in *AWSClusterRoleIdentity, out *v1beta1.AWSClusterRoleIdentity, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha3_AWSClusterRoleIdentitySpec_To_v1beta1_AWSClusterRoleIdentitySpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSClusterRoleIdentity_To_v1beta1_AWSClusterRoleIdentity is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterRoleIdentity_To_v1beta1_AWSClusterRoleIdentity(in *AWSClusterRoleIdentity, out *v1beta1.AWSClusterRoleIdentity, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterRoleIdentity_To_v1beta1_AWSClusterRoleIdentity(in, out, s)
}

func autoConvert_v1beta1_AWSClusterRoleIdentity_To_v1alpha3_AWSClusterRoleIdentity(in *v1beta1.AWSClusterRoleIdentity, out *AWSClusterRoleIdentity, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSClusterRoleIdentitySpec_To_v1alpha3_AWSClusterRoleIdentitySpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSClusterRoleIdentity_To_v1alpha3_AWSClusterRoleIdentity is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterRoleIdentity_To_v1alpha3_AWSClusterRoleIdentity(in *v1beta1.AWSClusterRoleIdentity, out *AWSClusterRoleIdentity, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterRoleIdentity_To_v1alpha3_AWSClusterRoleIdentity(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterRoleIdentityList_To_v1beta1_AWSClusterRoleIdentityList(in *AWSClusterRoleIdentityList, out *v1beta1.AWSClusterRoleIdentityList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]v1beta1.AWSClusterRoleIdentity)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha3_AWSClusterRoleIdentityList_To_v1beta1_AWSClusterRoleIdentityList is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterRoleIdentityList_To_v1beta1_AWSClusterRoleIdentityList(in *AWSClusterRoleIdentityList, out *v1beta1.AWSClusterRoleIdentityList, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterRoleIdentityList_To_v1beta1_AWSClusterRoleIdentityList(in, out, s)
}

func autoConvert_v1beta1_AWSClusterRoleIdentityList_To_v1alpha3_AWSClusterRoleIdentityList(in *v1beta1.AWSClusterRoleIdentityList, out *AWSClusterRoleIdentityList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]AWSClusterRoleIdentity)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1beta1_AWSClusterRoleIdentityList_To_v1alpha3_AWSClusterRoleIdentityList is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterRoleIdentityList_To_v1alpha3_AWSClusterRoleIdentityList(in *v1beta1.AWSClusterRoleIdentityList, out *AWSClusterRoleIdentityList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterRoleIdentityList_To_v1alpha3_AWSClusterRoleIdentityList(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterRoleIdentitySpec_To_v1beta1_AWSClusterRoleIdentitySpec(in *AWSClusterRoleIdentitySpec, out *v1beta1.AWSClusterRoleIdentitySpec, s conversion.Scope) error {
	if err := Convert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec(&in.AWSClusterIdentitySpec, &out.AWSClusterIdentitySpec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha3_AWSRoleSpec_To_v1beta1_AWSRoleSpec(&in.AWSRoleSpec, &out.AWSRoleSpec, s); err != nil {
		return err
	}
	out.ExternalID = in.ExternalID
	out.SourceIdentityRef = (*v1beta1.AWSIdentityReference)(unsafe.Pointer(in.SourceIdentityRef))
	return nil
}

// Convert_v1alpha3_AWSClusterRoleIdentitySpec_To_v1beta1_AWSClusterRoleIdentitySpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterRoleIdentitySpec_To_v1beta1_AWSClusterRoleIdentitySpec(in *AWSClusterRoleIdentitySpec, out *v1beta1.AWSClusterRoleIdentitySpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterRoleIdentitySpec_To_v1beta1_AWSClusterRoleIdentitySpec(in, out, s)
}

func autoConvert_v1beta1_AWSClusterRoleIdentitySpec_To_v1alpha3_AWSClusterRoleIdentitySpec(in *v1beta1.AWSClusterRoleIdentitySpec, out *AWSClusterRoleIdentitySpec, s conversion.Scope) error {
	if err := Convert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec(&in.AWSClusterIdentitySpec, &out.AWSClusterIdentitySpec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_AWSRoleSpec_To_v1alpha3_AWSRoleSpec(&in.AWSRoleSpec, &out.AWSRoleSpec, s); err != nil {
		return err
	}
	out.ExternalID = in.ExternalID
	out.SourceIdentityRef = (*AWSIdentityReference)(unsafe.Pointer(in.SourceIdentityRef))
	return nil
}

// Convert_v1beta1_AWSClusterRoleIdentitySpec_To_v1alpha3_AWSClusterRoleIdentitySpec is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterRoleIdentitySpec_To_v1alpha3_AWSClusterRoleIdentitySpec(in *v1beta1.AWSClusterRoleIdentitySpec, out *AWSClusterRoleIdentitySpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterRoleIdentitySpec_To_v1alpha3_AWSClusterRoleIdentitySpec(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterSpec_To_v1beta1_AWSClusterSpec(in *AWSClusterSpec, out *v1beta1.AWSClusterSpec, s conversion.Scope) error {
	if err := Convert_v1alpha3_NetworkSpec_To_v1beta1_NetworkSpec(&in.NetworkSpec, &out.NetworkSpec, s); err != nil {
		return err
	}
	out.Region = in.Region
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	if err := apiv1alpha3.Convert_v1alpha3_APIEndpoint_To_v1beta1_APIEndpoint(&in.ControlPlaneEndpoint, &out.ControlPlaneEndpoint, s); err != nil {
		return err
	}
	out.AdditionalTags = *(*v1beta1.Tags)(unsafe.Pointer(&in.AdditionalTags))
	if in.ControlPlaneLoadBalancer != nil {
		in, out := &in.ControlPlaneLoadBalancer, &out.ControlPlaneLoadBalancer
		*out = new(v1beta1.AWSLoadBalancerSpec)
		if err := Convert_v1alpha3_AWSLoadBalancerSpec_To_v1beta1_AWSLoadBalancerSpec(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.ControlPlaneLoadBalancer = nil
	}
	out.ImageLookupFormat = in.ImageLookupFormat
	out.ImageLookupOrg = in.ImageLookupOrg
	out.ImageLookupBaseOS = in.ImageLookupBaseOS
	if err := Convert_v1alpha3_Bastion_To_v1beta1_Bastion(&in.Bastion, &out.Bastion, s); err != nil {
		return err
	}
	out.IdentityRef = (*v1beta1.AWSIdentityReference)(unsafe.Pointer(in.IdentityRef))
	return nil
}

// Convert_v1alpha3_AWSClusterSpec_To_v1beta1_AWSClusterSpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterSpec_To_v1beta1_AWSClusterSpec(in *AWSClusterSpec, out *v1beta1.AWSClusterSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterSpec_To_v1beta1_AWSClusterSpec(in, out, s)
}

func autoConvert_v1beta1_AWSClusterSpec_To_v1alpha3_AWSClusterSpec(in *v1beta1.AWSClusterSpec, out *AWSClusterSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_NetworkSpec_To_v1alpha3_NetworkSpec(&in.NetworkSpec, &out.NetworkSpec, s); err != nil {
		return err
	}
	out.Region = in.Region
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	if err := apiv1alpha3.Convert_v1beta1_APIEndpoint_To_v1alpha3_APIEndpoint(&in.ControlPlaneEndpoint, &out.ControlPlaneEndpoint, s); err != nil {
		return err
	}
	out.AdditionalTags = *(*Tags)(unsafe.Pointer(&in.AdditionalTags))
	if in.ControlPlaneLoadBalancer != nil {
		in, out := &in.ControlPlaneLoadBalancer, &out.ControlPlaneLoadBalancer
		*out = new(AWSLoadBalancerSpec)
		if err := Convert_v1beta1_AWSLoadBalancerSpec_To_v1alpha3_AWSLoadBalancerSpec(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.ControlPlaneLoadBalancer = nil
	}
	out.ImageLookupFormat = in.ImageLookupFormat
	out.ImageLookupOrg = in.ImageLookupOrg
	out.ImageLookupBaseOS = in.ImageLookupBaseOS
	if err := Convert_v1beta1_Bastion_To_v1alpha3_Bastion(&in.Bastion, &out.Bastion, s); err != nil {
		return err
	}
	out.IdentityRef = (*AWSIdentityReference)(unsafe.Pointer(in.IdentityRef))
	// WARNING: in.S3Bucket requires manual conversion: does not exist in peer-type
	// WARNING: in.AssociateOIDCProvider requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1alpha3_AWSClusterStaticIdentity_To_v1beta1_AWSClusterStaticIdentity(in *AWSClusterStaticIdentity, out *v1beta1.AWSClusterStaticIdentity, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha3_AWSClusterStaticIdentitySpec_To_v1beta1_AWSClusterStaticIdentitySpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSClusterStaticIdentity_To_v1beta1_AWSClusterStaticIdentity is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterStaticIdentity_To_v1beta1_AWSClusterStaticIdentity(in *AWSClusterStaticIdentity, out *v1beta1.AWSClusterStaticIdentity, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterStaticIdentity_To_v1beta1_AWSClusterStaticIdentity(in, out, s)
}

func autoConvert_v1beta1_AWSClusterStaticIdentity_To_v1alpha3_AWSClusterStaticIdentity(in *v1beta1.AWSClusterStaticIdentity, out *AWSClusterStaticIdentity, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSClusterStaticIdentitySpec_To_v1alpha3_AWSClusterStaticIdentitySpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSClusterStaticIdentity_To_v1alpha3_AWSClusterStaticIdentity is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterStaticIdentity_To_v1alpha3_AWSClusterStaticIdentity(in *v1beta1.AWSClusterStaticIdentity, out *AWSClusterStaticIdentity, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterStaticIdentity_To_v1alpha3_AWSClusterStaticIdentity(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterStaticIdentityList_To_v1beta1_AWSClusterStaticIdentityList(in *AWSClusterStaticIdentityList, out *v1beta1.AWSClusterStaticIdentityList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1beta1.AWSClusterStaticIdentity, len(*in))
		for i := range *in {
			if err := Convert_v1alpha3_AWSClusterStaticIdentity_To_v1beta1_AWSClusterStaticIdentity(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha3_AWSClusterStaticIdentityList_To_v1beta1_AWSClusterStaticIdentityList is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterStaticIdentityList_To_v1beta1_AWSClusterStaticIdentityList(in *AWSClusterStaticIdentityList, out *v1beta1.AWSClusterStaticIdentityList, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterStaticIdentityList_To_v1beta1_AWSClusterStaticIdentityList(in, out, s)
}

func autoConvert_v1beta1_AWSClusterStaticIdentityList_To_v1alpha3_AWSClusterStaticIdentityList(in *v1beta1.AWSClusterStaticIdentityList, out *AWSClusterStaticIdentityList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]AWSClusterStaticIdentity, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_AWSClusterStaticIdentity_To_v1alpha3_AWSClusterStaticIdentity(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1beta1_AWSClusterStaticIdentityList_To_v1alpha3_AWSClusterStaticIdentityList is an autogenerated conversion function.
func Convert_v1beta1_AWSClusterStaticIdentityList_To_v1alpha3_AWSClusterStaticIdentityList(in *v1beta1.AWSClusterStaticIdentityList, out *AWSClusterStaticIdentityList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSClusterStaticIdentityList_To_v1alpha3_AWSClusterStaticIdentityList(in, out, s)
}

func autoConvert_v1alpha3_AWSClusterStaticIdentitySpec_To_v1beta1_AWSClusterStaticIdentitySpec(in *AWSClusterStaticIdentitySpec, out *v1beta1.AWSClusterStaticIdentitySpec, s conversion.Scope) error {
	if err := Convert_v1alpha3_AWSClusterIdentitySpec_To_v1beta1_AWSClusterIdentitySpec(&in.AWSClusterIdentitySpec, &out.AWSClusterIdentitySpec, s); err != nil {
		return err
	}
	// WARNING: in.SecretRef requires manual conversion: inconvertible types (k8s.io/api/core/v1.SecretReference vs string)
	return nil
}

func autoConvert_v1beta1_AWSClusterStaticIdentitySpec_To_v1alpha3_AWSClusterStaticIdentitySpec(in *v1beta1.AWSClusterStaticIdentitySpec, out *AWSClusterStaticIdentitySpec, s conversion.Scope) error {
	if err := Convert_v1beta1_AWSClusterIdentitySpec_To_v1alpha3_AWSClusterIdentitySpec(&in.AWSClusterIdentitySpec, &out.AWSClusterIdentitySpec, s); err != nil {
		return err
	}
	// WARNING: in.SecretRef requires manual conversion: inconvertible types (string vs k8s.io/api/core/v1.SecretReference)
	return nil
}

func autoConvert_v1alpha3_AWSClusterStatus_To_v1beta1_AWSClusterStatus(in *AWSClusterStatus, out *v1beta1.AWSClusterStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	if err := Convert_v1alpha3_Network_To_v1beta1_NetworkStatus(&in.Network, &out.Network, s); err != nil {
		return err
	}
	if in.FailureDomains != nil {
		in, out := &in.FailureDomains, &out.FailureDomains
		*out = make(apiv1beta1.FailureDomains, len(*in))
		for key, val := range *in {
			newVal := new(apiv1beta1.FailureDomainSpec)
			if err := apiv1alpha3.Convert_v1alpha3_FailureDomainSpec_To_v1beta1_FailureDomainSpec(&val, newVal, s); err != nil {
				return err
			}
			(*out)[key] = *newVal
		}
	} else {
		out.FailureDomains = nil
	}
	if in.Bastion != nil {
		in, out := &in.Bastion, &out.Bastion
		*out = new(v1beta1.Instance)
		if err := Convert_v1alpha3_Instance_To_v1beta1_Instance(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Bastion = nil
	}
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(apiv1beta1.Conditions, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1alpha3_Condition_To_v1beta1_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	return nil
}

// Convert_v1alpha3_AWSClusterStatus_To_v1beta1_AWSClusterStatus is an autogenerated conversion function.
func Convert_v1alpha3_AWSClusterStatus_To_v1beta1_AWSClusterStatus(in *AWSClusterStatus, out *v1beta1.AWSClusterStatus, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSClusterStatus_To_v1beta1_AWSClusterStatus(in, out, s)
}

func autoConvert_v1beta1_AWSClusterStatus_To_v1alpha3_AWSClusterStatus(in *v1beta1.AWSClusterStatus, out *AWSClusterStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	if err := Convert_v1beta1_NetworkStatus_To_v1alpha3_Network(&in.Network, &out.Network, s); err != nil {
		return err
	}
	if in.FailureDomains != nil {
		in, out := &in.FailureDomains, &out.FailureDomains
		*out = make(apiv1alpha3.FailureDomains, len(*in))
		for key, val := range *in {
			newVal := new(apiv1alpha3.FailureDomainSpec)
			if err := apiv1alpha3.Convert_v1beta1_FailureDomainSpec_To_v1alpha3_FailureDomainSpec(&val, newVal, s); err != nil {
				return err
			}
			(*out)[key] = *newVal
		}
	} else {
		out.FailureDomains = nil
	}
	if in.Bastion != nil {
		in, out := &in.Bastion, &out.Bastion
		*out = new(Instance)
		if err := Convert_v1beta1_Instance_To_v1alpha3_Instance(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Bastion = nil
	}
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(apiv1alpha3.Conditions, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1beta1_Condition_To_v1alpha3_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	// WARNING: in.OIDCProvider requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1alpha3_AWSIdentityReference_To_v1beta1_AWSIdentityReference(in *AWSIdentityReference, out *v1beta1.AWSIdentityReference, s conversion.Scope) error {
	out.Name = in.Name
	out.Kind = v1beta1.AWSIdentityKind(in.Kind)
	return nil
}

// Convert_v1alpha3_AWSIdentityReference_To_v1beta1_AWSIdentityReference is an autogenerated conversion function.
func Convert_v1alpha3_AWSIdentityReference_To_v1beta1_AWSIdentityReference(in *AWSIdentityReference, out *v1beta1.AWSIdentityReference, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSIdentityReference_To_v1beta1_AWSIdentityReference(in, out, s)
}

func autoConvert_v1beta1_AWSIdentityReference_To_v1alpha3_AWSIdentityReference(in *v1beta1.AWSIdentityReference, out *AWSIdentityReference, s conversion.Scope) error {
	out.Name = in.Name
	out.Kind = AWSIdentityKind(in.Kind)
	return nil
}

// Convert_v1beta1_AWSIdentityReference_To_v1alpha3_AWSIdentityReference is an autogenerated conversion function.
func Convert_v1beta1_AWSIdentityReference_To_v1alpha3_AWSIdentityReference(in *v1beta1.AWSIdentityReference, out *AWSIdentityReference, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSIdentityReference_To_v1alpha3_AWSIdentityReference(in, out, s)
}

func autoConvert_v1alpha3_AWSLoadBalancerSpec_To_v1beta1_AWSLoadBalancerSpec(in *AWSLoadBalancerSpec, out *v1beta1.AWSLoadBalancerSpec, s conversion.Scope) error {
	out.Scheme = (*v1beta1.ClassicELBScheme)(unsafe.Pointer(in.Scheme))
	out.CrossZoneLoadBalancing = in.CrossZoneLoadBalancing
	out.Subnets = *(*[]string)(unsafe.Pointer(&in.Subnets))
	out.AdditionalSecurityGroups = *(*[]string)(unsafe.Pointer(&in.AdditionalSecurityGroups))
	return nil
}

// Convert_v1alpha3_AWSLoadBalancerSpec_To_v1beta1_AWSLoadBalancerSpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSLoadBalancerSpec_To_v1beta1_AWSLoadBalancerSpec(in *AWSLoadBalancerSpec, out *v1beta1.AWSLoadBalancerSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSLoadBalancerSpec_To_v1beta1_AWSLoadBalancerSpec(in, out, s)
}

func autoConvert_v1beta1_AWSLoadBalancerSpec_To_v1alpha3_AWSLoadBalancerSpec(in *v1beta1.AWSLoadBalancerSpec, out *AWSLoadBalancerSpec, s conversion.Scope) error {
	// WARNING: in.Name requires manual conversion: does not exist in peer-type
	out.Scheme = (*ClassicELBScheme)(unsafe.Pointer(in.Scheme))
	out.CrossZoneLoadBalancing = in.CrossZoneLoadBalancing
	out.Subnets = *(*[]string)(unsafe.Pointer(&in.Subnets))
	// WARNING: in.HealthCheckProtocol requires manual conversion: does not exist in peer-type
	out.AdditionalSecurityGroups = *(*[]string)(unsafe.Pointer(&in.AdditionalSecurityGroups))
	return nil
}

func autoConvert_v1alpha3_AWSMachine_To_v1beta1_AWSMachine(in *AWSMachine, out *v1beta1.AWSMachine, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha3_AWSMachineSpec_To_v1beta1_AWSMachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha3_AWSMachineStatus_To_v1beta1_AWSMachineStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSMachine_To_v1beta1_AWSMachine is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachine_To_v1beta1_AWSMachine(in *AWSMachine, out *v1beta1.AWSMachine, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachine_To_v1beta1_AWSMachine(in, out, s)
}

func autoConvert_v1beta1_AWSMachine_To_v1alpha3_AWSMachine(in *v1beta1.AWSMachine, out *AWSMachine, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSMachineSpec_To_v1alpha3_AWSMachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_AWSMachineStatus_To_v1alpha3_AWSMachineStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSMachine_To_v1alpha3_AWSMachine is an autogenerated conversion function.
func Convert_v1beta1_AWSMachine_To_v1alpha3_AWSMachine(in *v1beta1.AWSMachine, out *AWSMachine, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachine_To_v1alpha3_AWSMachine(in, out, s)
}

func autoConvert_v1alpha3_AWSMachineList_To_v1beta1_AWSMachineList(in *AWSMachineList, out *v1beta1.AWSMachineList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1beta1.AWSMachine, len(*in))
		for i := range *in {
			if err := Convert_v1alpha3_AWSMachine_To_v1beta1_AWSMachine(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha3_AWSMachineList_To_v1beta1_AWSMachineList is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachineList_To_v1beta1_AWSMachineList(in *AWSMachineList, out *v1beta1.AWSMachineList, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachineList_To_v1beta1_AWSMachineList(in, out, s)
}

func autoConvert_v1beta1_AWSMachineList_To_v1alpha3_AWSMachineList(in *v1beta1.AWSMachineList, out *AWSMachineList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]AWSMachine, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_AWSMachine_To_v1alpha3_AWSMachine(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1beta1_AWSMachineList_To_v1alpha3_AWSMachineList is an autogenerated conversion function.
func Convert_v1beta1_AWSMachineList_To_v1alpha3_AWSMachineList(in *v1beta1.AWSMachineList, out *AWSMachineList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachineList_To_v1alpha3_AWSMachineList(in, out, s)
}

func autoConvert_v1alpha3_AWSMachineSpec_To_v1beta1_AWSMachineSpec(in *AWSMachineSpec, out *v1beta1.AWSMachineSpec, s conversion.Scope) error {
	out.ProviderID = (*string)(unsafe.Pointer(in.ProviderID))
	out.InstanceID = (*string)(unsafe.Pointer(in.InstanceID))
	if err := Convert_v1alpha3_AWSResourceReference_To_v1beta1_AMIReference(&in.AMI, &out.AMI, s); err != nil {
		return err
	}
	out.ImageLookupFormat = in.ImageLookupFormat
	out.ImageLookupOrg = in.ImageLookupOrg
	out.ImageLookupBaseOS = in.ImageLookupBaseOS
	out.InstanceType = in.InstanceType
	out.AdditionalTags = *(*v1beta1.Tags)(unsafe.Pointer(&in.AdditionalTags))
	out.IAMInstanceProfile = in.IAMInstanceProfile
	out.PublicIP = (*bool)(unsafe.Pointer(in.PublicIP))
	out.AdditionalSecurityGroups = *(*[]v1beta1.AWSResourceReference)(unsafe.Pointer(&in.AdditionalSecurityGroups))
	out.FailureDomain = (*string)(unsafe.Pointer(in.FailureDomain))
	out.Subnet = (*v1beta1.AWSResourceReference)(unsafe.Pointer(in.Subnet))
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	if in.RootVolume != nil {
		in, out := &in.RootVolume, &out.RootVolume
		*out = new(v1beta1.Volume)
		if err := Convert_v1alpha3_Volume_To_v1beta1_Volume(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.RootVolume = nil
	}
	if in.NonRootVolumes != nil {
		in, out := &in.NonRootVolumes, &out.NonRootVolumes
		*out = make([]v1beta1.Volume, len(*in))
		for i := range *in {
			if err := Convert_v1alpha3_Volume_To_v1beta1_Volume(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.NonRootVolumes = nil
	}
	out.NetworkInterfaces = *(*[]string)(unsafe.Pointer(&in.NetworkInterfaces))
	out.UncompressedUserData = (*bool)(unsafe.Pointer(in.UncompressedUserData))
	if err := Convert_v1alpha3_CloudInit_To_v1beta1_CloudInit(&in.CloudInit, &out.CloudInit, s); err != nil {
		return err
	}
	out.SpotMarketOptions = (*v1beta1.SpotMarketOptions)(unsafe.Pointer(in.SpotMarketOptions))
	out.Tenancy = in.Tenancy
	return nil
}

// Convert_v1alpha3_AWSMachineSpec_To_v1beta1_AWSMachineSpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachineSpec_To_v1beta1_AWSMachineSpec(in *AWSMachineSpec, out *v1beta1.AWSMachineSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachineSpec_To_v1beta1_AWSMachineSpec(in, out, s)
}

func autoConvert_v1beta1_AWSMachineSpec_To_v1alpha3_AWSMachineSpec(in *v1beta1.AWSMachineSpec, out *AWSMachineSpec, s conversion.Scope) error {
	out.ProviderID = (*string)(unsafe.Pointer(in.ProviderID))
	out.InstanceID = (*string)(unsafe.Pointer(in.InstanceID))
	if err := Convert_v1beta1_AMIReference_To_v1alpha3_AWSResourceReference(&in.AMI, &out.AMI, s); err != nil {
		return err
	}
	out.ImageLookupFormat = in.ImageLookupFormat
	out.ImageLookupOrg = in.ImageLookupOrg
	out.ImageLookupBaseOS = in.ImageLookupBaseOS
	out.InstanceType = in.InstanceType
	out.AdditionalTags = *(*Tags)(unsafe.Pointer(&in.AdditionalTags))
	out.IAMInstanceProfile = in.IAMInstanceProfile
	out.PublicIP = (*bool)(unsafe.Pointer(in.PublicIP))
	out.AdditionalSecurityGroups = *(*[]AWSResourceReference)(unsafe.Pointer(&in.AdditionalSecurityGroups))
	out.FailureDomain = (*string)(unsafe.Pointer(in.FailureDomain))
	out.Subnet = (*AWSResourceReference)(unsafe.Pointer(in.Subnet))
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	if in.RootVolume != nil {
		in, out := &in.RootVolume, &out.RootVolume
		*out = new(Volume)
		if err := Convert_v1beta1_Volume_To_v1alpha3_Volume(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.RootVolume = nil
	}
	if in.NonRootVolumes != nil {
		in, out := &in.NonRootVolumes, &out.NonRootVolumes
		*out = make([]Volume, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_Volume_To_v1alpha3_Volume(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.NonRootVolumes = nil
	}
	out.NetworkInterfaces = *(*[]string)(unsafe.Pointer(&in.NetworkInterfaces))
	out.UncompressedUserData = (*bool)(unsafe.Pointer(in.UncompressedUserData))
	if err := Convert_v1beta1_CloudInit_To_v1alpha3_CloudInit(&in.CloudInit, &out.CloudInit, s); err != nil {
		return err
	}
	// WARNING: in.Ignition requires manual conversion: does not exist in peer-type
	out.SpotMarketOptions = (*SpotMarketOptions)(unsafe.Pointer(in.SpotMarketOptions))
	out.Tenancy = in.Tenancy
	return nil
}

func autoConvert_v1alpha3_AWSMachineStatus_To_v1beta1_AWSMachineStatus(in *AWSMachineStatus, out *v1beta1.AWSMachineStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.Interruptible = in.Interruptible
	if in.Addresses != nil {
		in, out := &in.Addresses, &out.Addresses
		*out = make([]apiv1beta1.MachineAddress, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1alpha3_MachineAddress_To_v1beta1_MachineAddress(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Addresses = nil
	}
	out.InstanceState = (*v1beta1.InstanceState)(unsafe.Pointer(in.InstanceState))
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(apiv1beta1.Conditions, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1alpha3_Condition_To_v1beta1_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	return nil
}

// Convert_v1alpha3_AWSMachineStatus_To_v1beta1_AWSMachineStatus is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachineStatus_To_v1beta1_AWSMachineStatus(in *AWSMachineStatus, out *v1beta1.AWSMachineStatus, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachineStatus_To_v1beta1_AWSMachineStatus(in, out, s)
}

func autoConvert_v1beta1_AWSMachineStatus_To_v1alpha3_AWSMachineStatus(in *v1beta1.AWSMachineStatus, out *AWSMachineStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.Interruptible = in.Interruptible
	if in.Addresses != nil {
		in, out := &in.Addresses, &out.Addresses
		*out = make([]apiv1alpha3.MachineAddress, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1beta1_MachineAddress_To_v1alpha3_MachineAddress(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Addresses = nil
	}
	out.InstanceState = (*InstanceState)(unsafe.Pointer(in.InstanceState))
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(apiv1alpha3.Conditions, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1beta1_Condition_To_v1alpha3_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	return nil
}

// Convert_v1beta1_AWSMachineStatus_To_v1alpha3_AWSMachineStatus is an autogenerated conversion function.
func Convert_v1beta1_AWSMachineStatus_To_v1alpha3_AWSMachineStatus(in *v1beta1.AWSMachineStatus, out *AWSMachineStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachineStatus_To_v1alpha3_AWSMachineStatus(in, out, s)
}

func autoConvert_v1alpha3_AWSMachineTemplate_To_v1beta1_AWSMachineTemplate(in *AWSMachineTemplate, out *v1beta1.AWSMachineTemplate, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha3_AWSMachineTemplateSpec_To_v1beta1_AWSMachineTemplateSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSMachineTemplate_To_v1beta1_AWSMachineTemplate is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachineTemplate_To_v1beta1_AWSMachineTemplate(in *AWSMachineTemplate, out *v1beta1.AWSMachineTemplate, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachineTemplate_To_v1beta1_AWSMachineTemplate(in, out, s)
}

func autoConvert_v1beta1_AWSMachineTemplate_To_v1alpha3_AWSMachineTemplate(in *v1beta1.AWSMachineTemplate, out *AWSMachineTemplate, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSMachineTemplateSpec_To_v1alpha3_AWSMachineTemplateSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSMachineTemplate_To_v1alpha3_AWSMachineTemplate is an autogenerated conversion function.
func Convert_v1beta1_AWSMachineTemplate_To_v1alpha3_AWSMachineTemplate(in *v1beta1.AWSMachineTemplate, out *AWSMachineTemplate, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachineTemplate_To_v1alpha3_AWSMachineTemplate(in, out, s)
}

func autoConvert_v1alpha3_AWSMachineTemplateList_To_v1beta1_AWSMachineTemplateList(in *AWSMachineTemplateList, out *v1beta1.AWSMachineTemplateList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1beta1.AWSMachineTemplate, len(*in))
		for i := range *in {
			if err := Convert_v1alpha3_AWSMachineTemplate_To_v1beta1_AWSMachineTemplate(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha3_AWSMachineTemplateList_To_v1beta1_AWSMachineTemplateList is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachineTemplateList_To_v1beta1_AWSMachineTemplateList(in *AWSMachineTemplateList, out *v1beta1.AWSMachineTemplateList, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachineTemplateList_To_v1beta1_AWSMachineTemplateList(in, out, s)
}

func autoConvert_v1beta1_AWSMachineTemplateList_To_v1alpha3_AWSMachineTemplateList(in *v1beta1.AWSMachineTemplateList, out *AWSMachineTemplateList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]AWSMachineTemplate, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_AWSMachineTemplate_To_v1alpha3_AWSMachineTemplate(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1beta1_AWSMachineTemplateList_To_v1alpha3_AWSMachineTemplateList is an autogenerated conversion function.
func Convert_v1beta1_AWSMachineTemplateList_To_v1alpha3_AWSMachineTemplateList(in *v1beta1.AWSMachineTemplateList, out *AWSMachineTemplateList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachineTemplateList_To_v1alpha3_AWSMachineTemplateList(in, out, s)
}

func autoConvert_v1alpha3_AWSMachineTemplateResource_To_v1beta1_AWSMachineTemplateResource(in *AWSMachineTemplateResource, out *v1beta1.AWSMachineTemplateResource, s conversion.Scope) error {
	if err := Convert_v1alpha3_AWSMachineSpec_To_v1beta1_AWSMachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSMachineTemplateResource_To_v1beta1_AWSMachineTemplateResource is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachineTemplateResource_To_v1beta1_AWSMachineTemplateResource(in *AWSMachineTemplateResource, out *v1beta1.AWSMachineTemplateResource, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachineTemplateResource_To_v1beta1_AWSMachineTemplateResource(in, out, s)
}

func autoConvert_v1beta1_AWSMachineTemplateResource_To_v1alpha3_AWSMachineTemplateResource(in *v1beta1.AWSMachineTemplateResource, out *AWSMachineTemplateResource, s conversion.Scope) error {
	// WARNING: in.ObjectMeta requires manual conversion: does not exist in peer-type
	if err := Convert_v1beta1_AWSMachineSpec_To_v1alpha3_AWSMachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1alpha3_AWSMachineTemplateSpec_To_v1beta1_AWSMachineTemplateSpec(in *AWSMachineTemplateSpec, out *v1beta1.AWSMachineTemplateSpec, s conversion.Scope) error {
	if err := Convert_v1alpha3_AWSMachineTemplateResource_To_v1beta1_AWSMachineTemplateResource(&in.Template, &out.Template, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_AWSMachineTemplateSpec_To_v1beta1_AWSMachineTemplateSpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSMachineTemplateSpec_To_v1beta1_AWSMachineTemplateSpec(in *AWSMachineTemplateSpec, out *v1beta1.AWSMachineTemplateSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSMachineTemplateSpec_To_v1beta1_AWSMachineTemplateSpec(in, out, s)
}

func autoConvert_v1beta1_AWSMachineTemplateSpec_To_v1alpha3_AWSMachineTemplateSpec(in *v1beta1.AWSMachineTemplateSpec, out *AWSMachineTemplateSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_AWSMachineTemplateResource_To_v1alpha3_AWSMachineTemplateResource(&in.Template, &out.Template, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSMachineTemplateSpec_To_v1alpha3_AWSMachineTemplateSpec is an autogenerated conversion function.
func Convert_v1beta1_AWSMachineTemplateSpec_To_v1alpha3_AWSMachineTemplateSpec(in *v1beta1.AWSMachineTemplateSpec, out *AWSMachineTemplateSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachineTemplateSpec_To_v1alpha3_AWSMachineTemplateSpec(in, out, s)
}

func autoConvert_v1alpha3_AWSResourceReference_To_v1beta1_AWSResourceReference(in *AWSResourceReference, out *v1beta1.AWSResourceReference, s conversion.Scope) error {
	out.ID = (*string)(unsafe.Pointer(in.ID))
	out.ARN = (*string)(unsafe.Pointer(in.ARN))
	out.Filters = *(*[]v1beta1.Filter)(unsafe.Pointer(&in.Filters))
	return nil
}

// Convert_v1alpha3_AWSResourceReference_To_v1beta1_AWSResourceReference is an autogenerated conversion function.
func Convert_v1alpha3_AWSResourceReference_To_v1beta1_AWSResourceReference(in *AWSResourceReference, out *v1beta1.AWSResourceReference, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSResourceReference_To_v1beta1_AWSResourceReference(in, out, s)
}

func autoConvert_v1beta1_AWSResourceReference_To_v1alpha3_AWSResourceReference(in *v1beta1.AWSResourceReference, out *AWSResourceReference, s conversion.Scope) error {
	out.ID = (*string)(unsafe.Pointer(in.ID))
	out.ARN = (*string)(unsafe.Pointer(in.ARN))
	out.Filters = *(*[]Filter)(unsafe.Pointer(&in.Filters))
	return nil
}

// Convert_v1beta1_AWSResourceReference_To_v1alpha3_AWSResourceReference is an autogenerated conversion function.
func Convert_v1beta1_AWSResourceReference_To_v1alpha3_AWSResourceReference(in *v1beta1.AWSResourceReference, out *AWSResourceReference, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSResourceReference_To_v1alpha3_AWSResourceReference(in, out, s)
}

func autoConvert_v1alpha3_AWSRoleSpec_To_v1beta1_AWSRoleSpec(in *AWSRoleSpec, out *v1beta1.AWSRoleSpec, s conversion.Scope) error {
	out.RoleArn = in.RoleArn
	out.SessionName = in.SessionName
	out.DurationSeconds = in.DurationSeconds
	out.InlinePolicy = in.InlinePolicy
	out.PolicyARNs = *(*[]string)(unsafe.Pointer(&in.PolicyARNs))
	return nil
}

// Convert_v1alpha3_AWSRoleSpec_To_v1beta1_AWSRoleSpec is an autogenerated conversion function.
func Convert_v1alpha3_AWSRoleSpec_To_v1beta1_AWSRoleSpec(in *AWSRoleSpec, out *v1beta1.AWSRoleSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_AWSRoleSpec_To_v1beta1_AWSRoleSpec(in, out, s)
}

func autoConvert_v1beta1_AWSRoleSpec_To_v1alpha3_AWSRoleSpec(in *v1beta1.AWSRoleSpec, out *AWSRoleSpec, s conversion.Scope) error {
	out.RoleArn = in.RoleArn
	out.SessionName = in.SessionName
	out.DurationSeconds = in.DurationSeconds
	out.InlinePolicy = in.InlinePolicy
	out.PolicyARNs = *(*[]string)(unsafe.Pointer(&in.PolicyARNs))
	return nil
}

// Convert_v1beta1_AWSRoleSpec_To_v1alpha3_AWSRoleSpec is an autogenerated conversion function.
func Convert_v1beta1_AWSRoleSpec_To_v1alpha3_AWSRoleSpec(in *v1beta1.AWSRoleSpec, out *AWSRoleSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSRoleSpec_To_v1alpha3_AWSRoleSpec(in, out, s)
}

func autoConvert_v1alpha3_AllowedNamespaces_To_v1beta1_AllowedNamespaces(in *AllowedNamespaces, out *v1beta1.AllowedNamespaces, s conversion.Scope) error {
	out.NamespaceList = *(*[]string)(unsafe.Pointer(&in.NamespaceList))
	out.Selector = in.Selector
	return nil
}

// Convert_v1alpha3_AllowedNamespaces_To_v1beta1_AllowedNamespaces is an autogenerated conversion function.
func Convert_v1alpha3_AllowedNamespaces_To_v1beta1_AllowedNamespaces(in *AllowedNamespaces, out *v1beta1.AllowedNamespaces, s conversion.Scope) error {
	return autoConvert_v1alpha3_AllowedNamespaces_To_v1beta1_AllowedNamespaces(in, out, s)
}

func autoConvert_v1beta1_AllowedNamespaces_To_v1alpha3_AllowedNamespaces(in *v1beta1.AllowedNamespaces, out *AllowedNamespaces, s conversion.Scope) error {
	out.NamespaceList = *(*[]string)(unsafe.Pointer(&in.NamespaceList))
	out.Selector = in.Selector
	return nil
}

// Convert_v1beta1_AllowedNamespaces_To_v1alpha3_AllowedNamespaces is an autogenerated conversion function.
func Convert_v1beta1_AllowedNamespaces_To_v1alpha3_AllowedNamespaces(in *v1beta1.AllowedNamespaces, out *AllowedNamespaces, s conversion.Scope) error {
	return autoConvert_v1beta1_AllowedNamespaces_To_v1alpha3_AllowedNamespaces(in, out, s)
}

func autoConvert_v1alpha3_Bastion_To_v1beta1_Bastion(in *Bastion, out *v1beta1.Bastion, s conversion.Scope) error {
	out.Enabled = in.Enabled
	out.DisableIngressRules = in.DisableIngressRules
	out.AllowedCIDRBlocks = *(*[]string)(unsafe.Pointer(&in.AllowedCIDRBlocks))
	out.InstanceType = in.InstanceType
	out.AMI = in.AMI
	return nil
}

// Convert_v1alpha3_Bastion_To_v1beta1_Bastion is an autogenerated conversion function.
func Convert_v1alpha3_Bastion_To_v1beta1_Bastion(in *Bastion, out *v1beta1.Bastion, s conversion.Scope) error {
	return autoConvert_v1alpha3_Bastion_To_v1beta1_Bastion(in, out, s)
}

func autoConvert_v1beta1_Bastion_To_v1alpha3_Bastion(in *v1beta1.Bastion, out *Bastion, s conversion.Scope) error {
	out.Enabled = in.Enabled
	out.DisableIngressRules = in.DisableIngressRules
	out.AllowedCIDRBlocks = *(*[]string)(unsafe.Pointer(&in.AllowedCIDRBlocks))
	out.InstanceType = in.InstanceType
	out.AMI = in.AMI
	return nil
}

// Convert_v1beta1_Bastion_To_v1alpha3_Bastion is an autogenerated conversion function.
func Convert_v1beta1_Bastion_To_v1alpha3_Bastion(in *v1beta1.Bastion, out *Bastion, s conversion.Scope) error {
	return autoConvert_v1beta1_Bastion_To_v1alpha3_Bastion(in, out, s)
}

func autoConvert_v1alpha3_BuildParams_To_v1beta1_BuildParams(in *BuildParams, out *v1beta1.BuildParams, s conversion.Scope) error {
	out.Lifecycle = v1beta1.ResourceLifecycle(in.Lifecycle)
	out.ClusterName = in.ClusterName
	out.ResourceID = in.ResourceID
	out.Name = (*string)(unsafe.Pointer(in.Name))
	out.Role = (*string)(unsafe.Pointer(in.Role))
	out.Additional = *(*v1beta1.Tags)(unsafe.Pointer(&in.Additional))
	return nil
}

// Convert_v1alpha3_BuildParams_To_v1beta1_BuildParams is an autogenerated conversion function.
func Convert_v1alpha3_BuildParams_To_v1beta1_BuildParams(in *BuildParams, out *v1beta1.BuildParams, s conversion.Scope) error {
	return autoConvert_v1alpha3_BuildParams_To_v1beta1_BuildParams(in, out, s)
}

func autoConvert_v1beta1_BuildParams_To_v1alpha3_BuildParams(in *v1beta1.BuildParams, out *BuildParams, s conversion.Scope) error {
	out.Lifecycle = ResourceLifecycle(in.Lifecycle)
	out.ClusterName = in.ClusterName
	out.ResourceID = in.ResourceID
	out.Name = (*string)(unsafe.Pointer(in.Name))
	out.Role = (*string)(unsafe.Pointer(in.Role))
	out.Additional = *(*Tags)(unsafe.Pointer(&in.Additional))
	return nil
}

// Convert_v1beta1_BuildParams_To_v1alpha3_BuildParams is an autogenerated conversion function.
func Convert_v1beta1_BuildParams_To_v1alpha3_BuildParams(in *v1beta1.BuildParams, out *BuildParams, s conversion.Scope) error {
	return autoConvert_v1beta1_BuildParams_To_v1alpha3_BuildParams(in, out, s)
}

func autoConvert_v1alpha3_CNIIngressRule_To_v1beta1_CNIIngressRule(in *CNIIngressRule, out *v1beta1.CNIIngressRule, s conversion.Scope) error {
	out.Description = in.Description
	out.Protocol = v1beta1.SecurityGroupProtocol(in.Protocol)
	out.FromPort = in.FromPort
	out.ToPort = in.ToPort
	return nil
}

// Convert_v1alpha3_CNIIngressRule_To_v1beta1_CNIIngressRule is an autogenerated conversion function.
func Convert_v1alpha3_CNIIngressRule_To_v1beta1_CNIIngressRule(in *CNIIngressRule, out *v1beta1.CNIIngressRule, s conversion.Scope) error {
	return autoConvert_v1alpha3_CNIIngressRule_To_v1beta1_CNIIngressRule(in, out, s)
}

func autoConvert_v1beta1_CNIIngressRule_To_v1alpha3_CNIIngressRule(in *v1beta1.CNIIngressRule, out *CNIIngressRule, s conversion.Scope) error {
	out.Description = in.Description
	out.Protocol = SecurityGroupProtocol(in.Protocol)
	out.FromPort = in.FromPort
	out.ToPort = in.ToPort
	return nil
}

// Convert_v1beta1_CNIIngressRule_To_v1alpha3_CNIIngressRule is an autogenerated conversion function.
func Convert_v1beta1_CNIIngressRule_To_v1alpha3_CNIIngressRule(in *v1beta1.CNIIngressRule, out *CNIIngressRule, s conversion.Scope) error {
	return autoConvert_v1beta1_CNIIngressRule_To_v1alpha3_CNIIngressRule(in, out, s)
}

func autoConvert_v1alpha3_CNISpec_To_v1beta1_CNISpec(in *CNISpec, out *v1beta1.CNISpec, s conversion.Scope) error {
	out.CNIIngressRules = *(*v1beta1.CNIIngressRules)(unsafe.Pointer(&in.CNIIngressRules))
	return nil
}

// Convert_v1alpha3_CNISpec_To_v1beta1_CNISpec is an autogenerated conversion function.
func Convert_v1alpha3_CNISpec_To_v1beta1_CNISpec(in *CNISpec, out *v1beta1.CNISpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_CNISpec_To_v1beta1_CNISpec(in, out, s)
}

func autoConvert_v1beta1_CNISpec_To_v1alpha3_CNISpec(in *v1beta1.CNISpec, out *CNISpec, s conversion.Scope) error {
	out.CNIIngressRules = *(*CNIIngressRules)(unsafe.Pointer(&in.CNIIngressRules))
	return nil
}

// Convert_v1beta1_CNISpec_To_v1alpha3_CNISpec is an autogenerated conversion function.
func Convert_v1beta1_CNISpec_To_v1alpha3_CNISpec(in *v1beta1.CNISpec, out *CNISpec, s conversion.Scope) error {
	return autoConvert_v1beta1_CNISpec_To_v1alpha3_CNISpec(in, out, s)
}

func autoConvert_v1alpha3_ClassicELB_To_v1beta1_ClassicELB(in *ClassicELB, out *v1beta1.ClassicELB, s conversion.Scope) error {
	out.Name = in.Name
	out.DNSName = in.DNSName
	out.Scheme = v1beta1.ClassicELBScheme(in.Scheme)
	out.AvailabilityZones = *(*[]string)(unsafe.Pointer(&in.AvailabilityZones))
	out.SubnetIDs = *(*[]string)(unsafe.Pointer(&in.SubnetIDs))
	out.SecurityGroupIDs = *(*[]string)(unsafe.Pointer(&in.SecurityGroupIDs))
	out.Listeners = *(*[]v1beta1.ClassicELBListener)(unsafe.Pointer(&in.Listeners))
	out.HealthCheck = (*v1beta1.ClassicELBHealthCheck)(unsafe.Pointer(in.HealthCheck))
	if err := Convert_v1alpha3_ClassicELBAttributes_To_v1beta1_ClassicELBAttributes(&in.Attributes, &out.Attributes, s); err != nil {
		return err
	}
	out.Tags = *(*map[string]string)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_v1alpha3_ClassicELB_To_v1beta1_ClassicELB is an autogenerated conversion function.
func Convert_v1alpha3_ClassicELB_To_v1beta1_ClassicELB(in *ClassicELB, out *v1beta1.ClassicELB, s conversion.Scope) error {
	return autoConvert_v1alpha3_ClassicELB_To_v1beta1_ClassicELB(in, out, s)
}

func autoConvert_v1beta1_ClassicELB_To_v1alpha3_ClassicELB(in *v1beta1.ClassicELB, out *ClassicELB, s conversion.Scope) error {
	out.Name = in.Name
	out.DNSName = in.DNSName
	out.Scheme = ClassicELBScheme(in.Scheme)
	out.AvailabilityZones = *(*[]string)(unsafe.Pointer(&in.AvailabilityZones))
	out.SubnetIDs = *(*[]string)(unsafe.Pointer(&in.SubnetIDs))
	out.SecurityGroupIDs = *(*[]string)(unsafe.Pointer(&in.SecurityGroupIDs))
	out.Listeners = *(*[]ClassicELBListener)(unsafe.Pointer(&in.Listeners))
	out.HealthCheck = (*ClassicELBHealthCheck)(unsafe.Pointer(in.HealthCheck))
	if err := Convert_v1beta1_ClassicELBAttributes_To_v1alpha3_ClassicELBAttributes(&in.Attributes, &out.Attributes, s); err != nil {
		return err
	}
	out.Tags = *(*map[string]string)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_v1beta1_ClassicELB_To_v1alpha3_ClassicELB is an autogenerated conversion function.
func Convert_v1beta1_ClassicELB_To_v1alpha3_ClassicELB(in *v1beta1.ClassicELB, out *ClassicELB, s conversion.Scope) error {
	return autoConvert_v1beta1_ClassicELB_To_v1alpha3_ClassicELB(in, out, s)
}

func autoConvert_v1alpha3_ClassicELBAttributes_To_v1beta1_ClassicELBAttributes(in *ClassicELBAttributes, out *v1beta1.ClassicELBAttributes, s conversion.Scope) error {
	out.IdleTimeout = time.Duration(in.IdleTimeout)
	out.CrossZoneLoadBalancing = in.CrossZoneLoadBalancing
	return nil
}

// Convert_v1alpha3_ClassicELBAttributes_To_v1beta1_ClassicELBAttributes is an autogenerated conversion function.
func Convert_v1alpha3_ClassicELBAttributes_To_v1beta1_ClassicELBAttributes(in *ClassicELBAttributes, out *v1beta1.ClassicELBAttributes, s conversion.Scope) error {
	return autoConvert_v1alpha3_ClassicELBAttributes_To_v1beta1_ClassicELBAttributes(in, out, s)
}

func autoConvert_v1beta1_ClassicELBAttributes_To_v1alpha3_ClassicELBAttributes(in *v1beta1.ClassicELBAttributes, out *ClassicELBAttributes, s conversion.Scope) error {
	out.IdleTimeout = time.Duration(in.IdleTimeout)
	out.CrossZoneLoadBalancing = in.CrossZoneLoadBalancing
	return nil
}

// Convert_v1beta1_ClassicELBAttributes_To_v1alpha3_ClassicELBAttributes is an autogenerated conversion function.
func Convert_v1beta1_ClassicELBAttributes_To_v1alpha3_ClassicELBAttributes(in *v1beta1.ClassicELBAttributes, out *ClassicELBAttributes, s conversion.Scope) error {
	return autoConvert_v1beta1_ClassicELBAttributes_To_v1alpha3_ClassicELBAttributes(in, out, s)
}

func autoConvert_v1alpha3_ClassicELBHealthCheck_To_v1beta1_ClassicELBHealthCheck(in *ClassicELBHealthCheck, out *v1beta1.ClassicELBHealthCheck, s conversion.Scope) error {
	out.Target = in.Target
	out.Interval = time.Duration(in.Interval)
	out.Timeout = time.Duration(in.Timeout)
	out.HealthyThreshold = in.HealthyThreshold
	out.UnhealthyThreshold = in.UnhealthyThreshold
	return nil
}

// Convert_v1alpha3_ClassicELBHealthCheck_To_v1beta1_ClassicELBHealthCheck is an autogenerated conversion function.
func Convert_v1alpha3_ClassicELBHealthCheck_To_v1beta1_ClassicELBHealthCheck(in *ClassicELBHealthCheck, out *v1beta1.ClassicELBHealthCheck, s conversion.Scope) error {
	return autoConvert_v1alpha3_ClassicELBHealthCheck_To_v1beta1_ClassicELBHealthCheck(in, out, s)
}

func autoConvert_v1beta1_ClassicELBHealthCheck_To_v1alpha3_ClassicELBHealthCheck(in *v1beta1.ClassicELBHealthCheck, out *ClassicELBHealthCheck, s conversion.Scope) error {
	out.Target = in.Target
	out.Interval = time.Duration(in.Interval)
	out.Timeout = time.Duration(in.Timeout)
	out.HealthyThreshold = in.HealthyThreshold
	out.UnhealthyThreshold = in.UnhealthyThreshold
	return nil
}

// Convert_v1beta1_ClassicELBHealthCheck_To_v1alpha3_ClassicELBHealthCheck is an autogenerated conversion function.
func Convert_v1beta1_ClassicELBHealthCheck_To_v1alpha3_ClassicELBHealthCheck(in *v1beta1.ClassicELBHealthCheck, out *ClassicELBHealthCheck, s conversion.Scope) error {
	return autoConvert_v1beta1_ClassicELBHealthCheck_To_v1alpha3_ClassicELBHealthCheck(in, out, s)
}

func autoConvert_v1alpha3_ClassicELBListener_To_v1beta1_ClassicELBListener(in *ClassicELBListener, out *v1beta1.ClassicELBListener, s conversion.Scope) error {
	out.Protocol = v1beta1.ClassicELBProtocol(in.Protocol)
	out.Port = in.Port
	out.InstanceProtocol = v1beta1.ClassicELBProtocol(in.InstanceProtocol)
	out.InstancePort = in.InstancePort
	return nil
}

// Convert_v1alpha3_ClassicELBListener_To_v1beta1_ClassicELBListener is an autogenerated conversion function.
func Convert_v1alpha3_ClassicELBListener_To_v1beta1_ClassicELBListener(in *ClassicELBListener, out *v1beta1.ClassicELBListener, s conversion.Scope) error {
	return autoConvert_v1alpha3_ClassicELBListener_To_v1beta1_ClassicELBListener(in, out, s)
}

func autoConvert_v1beta1_ClassicELBListener_To_v1alpha3_ClassicELBListener(in *v1beta1.ClassicELBListener, out *ClassicELBListener, s conversion.Scope) error {
	out.Protocol = ClassicELBProtocol(in.Protocol)
	out.Port = in.Port
	out.InstanceProtocol = ClassicELBProtocol(in.InstanceProtocol)
	out.InstancePort = in.InstancePort
	return nil
}

// Convert_v1beta1_ClassicELBListener_To_v1alpha3_ClassicELBListener is an autogenerated conversion function.
func Convert_v1beta1_ClassicELBListener_To_v1alpha3_ClassicELBListener(in *v1beta1.ClassicELBListener, out *ClassicELBListener, s conversion.Scope) error {
	return autoConvert_v1beta1_ClassicELBListener_To_v1alpha3_ClassicELBListener(in, out, s)
}

func autoConvert_v1alpha3_CloudInit_To_v1beta1_CloudInit(in *CloudInit, out *v1beta1.CloudInit, s conversion.Scope) error {
	out.InsecureSkipSecretsManager = in.InsecureSkipSecretsManager
	out.SecretCount = in.SecretCount
	out.SecretPrefix = in.SecretPrefix
	out.SecureSecretsBackend = v1beta1.SecretBackend(in.SecureSecretsBackend)
	return nil
}

// Convert_v1alpha3_CloudInit_To_v1beta1_CloudInit is an autogenerated conversion function.
func Convert_v1alpha3_CloudInit_To_v1beta1_CloudInit(in *CloudInit, out *v1beta1.CloudInit, s conversion.Scope) error {
	return autoConvert_v1alpha3_CloudInit_To_v1beta1_CloudInit(in, out, s)
}

func autoConvert_v1beta1_CloudInit_To_v1alpha3_CloudInit(in *v1beta1.CloudInit, out *CloudInit, s conversion.Scope) error {
	out.InsecureSkipSecretsManager = in.InsecureSkipSecretsManager
	out.SecretCount = in.SecretCount
	out.SecretPrefix = in.SecretPrefix
	out.SecureSecretsBackend = SecretBackend(in.SecureSecretsBackend)
	return nil
}

// Convert_v1beta1_CloudInit_To_v1alpha3_CloudInit is an autogenerated conversion function.
func Convert_v1beta1_CloudInit_To_v1alpha3_CloudInit(in *v1beta1.CloudInit, out *CloudInit, s conversion.Scope) error {
	return autoConvert_v1beta1_CloudInit_To_v1alpha3_CloudInit(in, out, s)
}

func autoConvert_v1alpha3_Filter_To_v1beta1_Filter(in *Filter, out *v1beta1.Filter, s conversion.Scope) error {
	out.Name = in.Name
	out.Values = *(*[]string)(unsafe.Pointer(&in.Values))
	return nil
}

// Convert_v1alpha3_Filter_To_v1beta1_Filter is an autogenerated conversion function.
func Convert_v1alpha3_Filter_To_v1beta1_Filter(in *Filter, out *v1beta1.Filter, s conversion.Scope) error {
	return autoConvert_v1alpha3_Filter_To_v1beta1_Filter(in, out, s)
}

func autoConvert_v1beta1_Filter_To_v1alpha3_Filter(in *v1beta1.Filter, out *Filter, s conversion.Scope) error {
	out.Name = in.Name
	out.Values = *(*[]string)(unsafe.Pointer(&in.Values))
	return nil
}

// Convert_v1beta1_Filter_To_v1alpha3_Filter is an autogenerated conversion function.
func Convert_v1beta1_Filter_To_v1alpha3_Filter(in *v1beta1.Filter, out *Filter, s conversion.Scope) error {
	return autoConvert_v1beta1_Filter_To_v1alpha3_Filter(in, out, s)
}

func autoConvert_v1alpha3_IngressRule_To_v1beta1_IngressRule(in *IngressRule, out *v1beta1.IngressRule, s conversion.Scope) error {
	out.Description = in.Description
	out.Protocol = v1beta1.SecurityGroupProtocol(in.Protocol)
	out.FromPort = in.FromPort
	out.ToPort = in.ToPort
	out.CidrBlocks = *(*[]string)(unsafe.Pointer(&in.CidrBlocks))
	out.SourceSecurityGroupIDs = *(*[]string)(unsafe.Pointer(&in.SourceSecurityGroupIDs))
	return nil
}

// Convert_v1alpha3_IngressRule_To_v1beta1_IngressRule is an autogenerated conversion function.
func Convert_v1alpha3_IngressRule_To_v1beta1_IngressRule(in *IngressRule, out *v1beta1.IngressRule, s conversion.Scope) error {
	return autoConvert_v1alpha3_IngressRule_To_v1beta1_IngressRule(in, out, s)
}

func autoConvert_v1beta1_IngressRule_To_v1alpha3_IngressRule(in *v1beta1.IngressRule, out *IngressRule, s conversion.Scope) error {
	out.Description = in.Description
	out.Protocol = SecurityGroupProtocol(in.Protocol)
	out.FromPort = in.FromPort
	out.ToPort = in.ToPort
	out.CidrBlocks = *(*[]string)(unsafe.Pointer(&in.CidrBlocks))
	out.SourceSecurityGroupIDs = *(*[]string)(unsafe.Pointer(&in.SourceSecurityGroupIDs))
	return nil
}

// Convert_v1beta1_IngressRule_To_v1alpha3_IngressRule is an autogenerated conversion function.
func Convert_v1beta1_IngressRule_To_v1alpha3_IngressRule(in *v1beta1.IngressRule, out *IngressRule, s conversion.Scope) error {
	return autoConvert_v1beta1_IngressRule_To_v1alpha3_IngressRule(in, out, s)
}

func autoConvert_v1alpha3_Instance_To_v1beta1_Instance(in *Instance, out *v1beta1.Instance, s conversion.Scope) error {
	out.ID = in.ID
	out.State = v1beta1.InstanceState(in.State)
	out.Type = in.Type
	out.SubnetID = in.SubnetID
	out.ImageID = in.ImageID
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	out.SecurityGroupIDs = *(*[]string)(unsafe.Pointer(&in.SecurityGroupIDs))
	out.UserData = (*string)(unsafe.Pointer(in.UserData))
	out.IAMProfile = in.IAMProfile
	if in.Addresses != nil {
		in, out := &in.Addresses, &out.Addresses
		*out = make([]apiv1beta1.MachineAddress, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1alpha3_MachineAddress_To_v1beta1_MachineAddress(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Addresses = nil
	}
	out.PrivateIP = (*string)(unsafe.Pointer(in.PrivateIP))
	out.PublicIP = (*string)(unsafe.Pointer(in.PublicIP))
	out.ENASupport = (*bool)(unsafe.Pointer(in.ENASupport))
	out.EBSOptimized = (*bool)(unsafe.Pointer(in.EBSOptimized))
	if in.RootVolume != nil {
		in, out := &in.RootVolume, &out.RootVolume
		*out = new(v1beta1.Volume)
		if err := Convert_v1alpha3_Volume_To_v1beta1_Volume(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.RootVolume = nil
	}
	if in.NonRootVolumes != nil {
		in, out := &in.NonRootVolumes, &out.NonRootVolumes
		*out = make([]v1beta1.Volume, len(*in))
		for i := range *in {
			if err := Convert_v1alpha3_Volume_To_v1beta1_Volume(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.NonRootVolumes = nil
	}
	out.NetworkInterfaces = *(*[]string)(unsafe.Pointer(&in.NetworkInterfaces))
	out.Tags = *(*map[string]string)(unsafe.Pointer(&in.Tags))
	out.AvailabilityZone = in.AvailabilityZone
	out.SpotMarketOptions = (*v1beta1.SpotMarketOptions)(unsafe.Pointer(in.SpotMarketOptions))
	out.Tenancy = in.Tenancy
	return nil
}

// Convert_v1alpha3_Instance_To_v1beta1_Instance is an autogenerated conversion function.
func Convert_v1alpha3_Instance_To_v1beta1_Instance(in *Instance, out *v1beta1.Instance, s conversion.Scope) error {
	return autoConvert_v1alpha3_Instance_To_v1beta1_Instance(in, out, s)
}

func autoConvert_v1beta1_Instance_To_v1alpha3_Instance(in *v1beta1.Instance, out *Instance, s conversion.Scope) error {
	out.ID = in.ID
	out.State = InstanceState(in.State)
	out.Type = in.Type
	out.SubnetID = in.SubnetID
	out.ImageID = in.ImageID
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	out.SecurityGroupIDs = *(*[]string)(unsafe.Pointer(&in.SecurityGroupIDs))
	out.UserData = (*string)(unsafe.Pointer(in.UserData))
	out.IAMProfile = in.IAMProfile
	if in.Addresses != nil {
		in, out := &in.Addresses, &out.Addresses
		*out = make([]apiv1alpha3.MachineAddress, len(*in))
		for i := range *in {
			if err := apiv1alpha3.Convert_v1beta1_MachineAddress_To_v1alpha3_MachineAddress(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Addresses = nil
	}
	out.PrivateIP = (*string)(unsafe.Pointer(in.PrivateIP))
	out.PublicIP = (*string)(unsafe.Pointer(in.PublicIP))
	out.ENASupport = (*bool)(unsafe.Pointer(in.ENASupport))
	out.EBSOptimized = (*bool)(unsafe.Pointer(in.EBSOptimized))
	if in.RootVolume != nil {
		in, out := &in.RootVolume, &out.RootVolume
		*out = new(Volume)
		if err := Convert_v1beta1_Volume_To_v1alpha3_Volume(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.RootVolume = nil
	}
	if in.NonRootVolumes != nil {
		in, out := &in.NonRootVolumes, &out.NonRootVolumes
		*out = make([]Volume, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_Volume_To_v1alpha3_Volume(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.NonRootVolumes = nil
	}
	out.NetworkInterfaces = *(*[]string)(unsafe.Pointer(&in.NetworkInterfaces))
	out.Tags = *(*map[string]string)(unsafe.Pointer(&in.Tags))
	out.AvailabilityZone = in.AvailabilityZone
	out.SpotMarketOptions = (*SpotMarketOptions)(unsafe.Pointer(in.SpotMarketOptions))
	out.Tenancy = in.Tenancy
	// WARNING: in.VolumeIDs requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1alpha3_NetworkSpec_To_v1beta1_NetworkSpec(in *NetworkSpec, out *v1beta1.NetworkSpec, s conversion.Scope) error {
	if err := Convert_v1alpha3_VPCSpec_To_v1beta1_VPCSpec(&in.VPC, &out.VPC, s); err != nil {
		return err
	}
	out.Subnets = *(*v1beta1.Subnets)(unsafe.Pointer(&in.Subnets))
	out.CNI = (*v1beta1.CNISpec)(unsafe.Pointer(in.CNI))
	out.SecurityGroupOverrides = *(*map[v1beta1.SecurityGroupRole]string)(unsafe.Pointer(&in.SecurityGroupOverrides))
	return nil
}

// Convert_v1alpha3_NetworkSpec_To_v1beta1_NetworkSpec is an autogenerated conversion function.
func Convert_v1alpha3_NetworkSpec_To_v1beta1_NetworkSpec(in *NetworkSpec, out *v1beta1.NetworkSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_NetworkSpec_To_v1beta1_NetworkSpec(in, out, s)
}

func autoConvert_v1beta1_NetworkSpec_To_v1alpha3_NetworkSpec(in *v1beta1.NetworkSpec, out *NetworkSpec, s conversion.Scope) error {
	if err := Convert_v1beta1_VPCSpec_To_v1alpha3_VPCSpec(&in.VPC, &out.VPC, s); err != nil {
		return err
	}
	out.Subnets = *(*Subnets)(unsafe.Pointer(&in.Subnets))
	out.CNI = (*CNISpec)(unsafe.Pointer(in.CNI))
	out.SecurityGroupOverrides = *(*map[SecurityGroupRole]string)(unsafe.Pointer(&in.SecurityGroupOverrides))
	return nil
}

// Convert_v1beta1_NetworkSpec_To_v1alpha3_NetworkSpec is an autogenerated conversion function.
func Convert_v1beta1_NetworkSpec_To_v1alpha3_NetworkSpec(in *v1beta1.NetworkSpec, out *NetworkSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_NetworkSpec_To_v1alpha3_NetworkSpec(in, out, s)
}

func autoConvert_v1alpha3_RouteTable_To_v1beta1_RouteTable(in *RouteTable, out *v1beta1.RouteTable, s conversion.Scope) error {
	out.ID = in.ID
	return nil
}

// Convert_v1alpha3_RouteTable_To_v1beta1_RouteTable is an autogenerated conversion function.
func Convert_v1alpha3_RouteTable_To_v1beta1_RouteTable(in *RouteTable, out *v1beta1.RouteTable, s conversion.Scope) error {
	return autoConvert_v1alpha3_RouteTable_To_v1beta1_RouteTable(in, out, s)
}

func autoConvert_v1beta1_RouteTable_To_v1alpha3_RouteTable(in *v1beta1.RouteTable, out *RouteTable, s conversion.Scope) error {
	out.ID = in.ID
	return nil
}

// Convert_v1beta1_RouteTable_To_v1alpha3_RouteTable is an autogenerated conversion function.
func Convert_v1beta1_RouteTable_To_v1alpha3_RouteTable(in *v1beta1.RouteTable, out *RouteTable, s conversion.Scope) error {
	return autoConvert_v1beta1_RouteTable_To_v1alpha3_RouteTable(in, out, s)
}

func autoConvert_v1alpha3_SecurityGroup_To_v1beta1_SecurityGroup(in *SecurityGroup, out *v1beta1.SecurityGroup, s conversion.Scope) error {
	out.ID = in.ID
	out.Name = in.Name
	out.IngressRules = *(*v1beta1.IngressRules)(unsafe.Pointer(&in.IngressRules))
	out.Tags = *(*v1beta1.Tags)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_v1alpha3_SecurityGroup_To_v1beta1_SecurityGroup is an autogenerated conversion function.
func Convert_v1alpha3_SecurityGroup_To_v1beta1_SecurityGroup(in *SecurityGroup, out *v1beta1.SecurityGroup, s conversion.Scope) error {
	return autoConvert_v1alpha3_SecurityGroup_To_v1beta1_SecurityGroup(in, out, s)
}

func autoConvert_v1beta1_SecurityGroup_To_v1alpha3_SecurityGroup(in *v1beta1.SecurityGroup, out *SecurityGroup, s conversion.Scope) error {
	out.ID = in.ID
	out.Name = in.Name
	out.IngressRules = *(*IngressRules)(unsafe.Pointer(&in.IngressRules))
	out.Tags = *(*Tags)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_v1beta1_SecurityGroup_To_v1alpha3_SecurityGroup is an autogenerated conversion function.
func Convert_v1beta1_SecurityGroup_To_v1alpha3_SecurityGroup(in *v1beta1.SecurityGroup, out *SecurityGroup, s conversion.Scope) error {
	return autoConvert_v1beta1_SecurityGroup_To_v1alpha3_SecurityGroup(in, out, s)
}

func autoConvert_v1alpha3_SpotMarketOptions_To_v1beta1_SpotMarketOptions(in *SpotMarketOptions, out *v1beta1.SpotMarketOptions, s conversion.Scope) error {
	out.MaxPrice = (*string)(unsafe.Pointer(in.MaxPrice))
	return nil
}

// Convert_v1alpha3_SpotMarketOptions_To_v1beta1_SpotMarketOptions is an autogenerated conversion function.
func Convert_v1alpha3_SpotMarketOptions_To_v1beta1_SpotMarketOptions(in *SpotMarketOptions, out *v1beta1.SpotMarketOptions, s conversion.Scope) error {
	return autoConvert_v1alpha3_SpotMarketOptions_To_v1beta1_SpotMarketOptions(in, out, s)
}

func autoConvert_v1beta1_SpotMarketOptions_To_v1alpha3_SpotMarketOptions(in *v1beta1.SpotMarketOptions, out *SpotMarketOptions, s conversion.Scope) error {
	out.MaxPrice = (*string)(unsafe.Pointer(in.MaxPrice))
	return nil
}

// Convert_v1beta1_SpotMarketOptions_To_v1alpha3_SpotMarketOptions is an autogenerated conversion function.
func Convert_v1beta1_SpotMarketOptions_To_v1alpha3_SpotMarketOptions(in *v1beta1.SpotMarketOptions, out *SpotMarketOptions, s conversion.Scope) error {
	return autoConvert_v1beta1_SpotMarketOptions_To_v1alpha3_SpotMarketOptions(in, out, s)
}

func autoConvert_v1alpha3_SubnetSpec_To_v1beta1_SubnetSpec(in *SubnetSpec, out *v1beta1.SubnetSpec, s conversion.Scope) error {
	out.ID = in.ID
	out.CidrBlock = in.CidrBlock
	out.AvailabilityZone = in.AvailabilityZone
	out.IsPublic = in.IsPublic
	out.RouteTableID = (*string)(unsafe.Pointer(in.RouteTableID))
	out.NatGatewayID = (*string)(unsafe.Pointer(in.NatGatewayID))
	out.Tags = *(*v1beta1.Tags)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_v1alpha3_SubnetSpec_To_v1beta1_SubnetSpec is an autogenerated conversion function.
func Convert_v1alpha3_SubnetSpec_To_v1beta1_SubnetSpec(in *SubnetSpec, out *v1beta1.SubnetSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_SubnetSpec_To_v1beta1_SubnetSpec(in, out, s)
}

func autoConvert_v1beta1_SubnetSpec_To_v1alpha3_SubnetSpec(in *v1beta1.SubnetSpec, out *SubnetSpec, s conversion.Scope) error {
	out.ID = in.ID
	out.CidrBlock = in.CidrBlock
	out.AvailabilityZone = in.AvailabilityZone
	out.IsPublic = in.IsPublic
	out.RouteTableID = (*string)(unsafe.Pointer(in.RouteTableID))
	out.NatGatewayID = (*string)(unsafe.Pointer(in.NatGatewayID))
	out.Tags = *(*Tags)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_v1beta1_SubnetSpec_To_v1alpha3_SubnetSpec is an autogenerated conversion function.
func Convert_v1beta1_SubnetSpec_To_v1alpha3_SubnetSpec(in *v1beta1.SubnetSpec, out *SubnetSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_SubnetSpec_To_v1alpha3_SubnetSpec(in, out, s)
}

func autoConvert_v1alpha3_VPCSpec_To_v1beta1_VPCSpec(in *VPCSpec, out *v1beta1.VPCSpec, s conversion.Scope) error {
	out.ID = in.ID
	out.CidrBlock = in.CidrBlock
	out.InternetGatewayID = (*string)(unsafe.Pointer(in.InternetGatewayID))
	out.Tags = *(*v1beta1.Tags)(unsafe.Pointer(&in.Tags))
	out.AvailabilityZoneUsageLimit = (*int)(unsafe.Pointer(in.AvailabilityZoneUsageLimit))
	out.AvailabilityZoneSelection = (*v1beta1.AZSelectionScheme)(unsafe.Pointer(in.AvailabilityZoneSelection))
	return nil
}

// Convert_v1alpha3_VPCSpec_To_v1beta1_VPCSpec is an autogenerated conversion function.
func Convert_v1alpha3_VPCSpec_To_v1beta1_VPCSpec(in *VPCSpec, out *v1beta1.VPCSpec, s conversion.Scope) error {
	return autoConvert_v1alpha3_VPCSpec_To_v1beta1_VPCSpec(in, out, s)
}

func autoConvert_v1beta1_VPCSpec_To_v1alpha3_VPCSpec(in *v1beta1.VPCSpec, out *VPCSpec, s conversion.Scope) error {
	out.ID = in.ID
	out.CidrBlock = in.CidrBlock
	out.InternetGatewayID = (*string)(unsafe.Pointer(in.InternetGatewayID))
	out.Tags = *(*Tags)(unsafe.Pointer(&in.Tags))
	out.AvailabilityZoneUsageLimit = (*int)(unsafe.Pointer(in.AvailabilityZoneUsageLimit))
	out.AvailabilityZoneSelection = (*AZSelectionScheme)(unsafe.Pointer(in.AvailabilityZoneSelection))
	return nil
}

// Convert_v1beta1_VPCSpec_To_v1alpha3_VPCSpec is an autogenerated conversion function.
func Convert_v1beta1_VPCSpec_To_v1alpha3_VPCSpec(in *v1beta1.VPCSpec, out *VPCSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_VPCSpec_To_v1alpha3_VPCSpec(in, out, s)
}

func autoConvert_v1alpha3_Volume_To_v1beta1_Volume(in *Volume, out *v1beta1.Volume, s conversion.Scope) error {
	out.DeviceName = in.DeviceName
	out.Size = in.Size
	out.Type = v1beta1.VolumeType(in.Type)
	out.IOPS = in.IOPS
	if err := v1.Convert_bool_To_Pointer_bool(&in.Encrypted, &out.Encrypted, s); err != nil {
		return err
	}
	out.EncryptionKey = in.EncryptionKey
	return nil
}

// Convert_v1alpha3_Volume_To_v1beta1_Volume is an autogenerated conversion function.
func Convert_v1alpha3_Volume_To_v1beta1_Volume(in *Volume, out *v1beta1.Volume, s conversion.Scope) error {
	return autoConvert_v1alpha3_Volume_To_v1beta1_Volume(in, out, s)
}

func autoConvert_v1beta1_Volume_To_v1alpha3_Volume(in *v1beta1.Volume, out *Volume, s conversion.Scope) error {
	out.DeviceName = in.DeviceName
	out.Size = in.Size
	out.Type = string(in.Type)
	out.IOPS = in.IOPS
	// WARNING: in.Throughput requires manual conversion: does not exist in peer-type
	if err := v1.Convert_Pointer_bool_To_bool(&in.Encrypted, &out.Encrypted, s); err != nil {
		return err
	}
	out.EncryptionKey = in.EncryptionKey
	return nil
}
