# Summary

- [Introduction](./introduction.md)
- [Getting Started](getting-started.md)
- [AMIs](./topics/images/amis.md)
  - [Published AMIs](./topics/images/built-amis.md)
  - [Custom AMIs](./topics/images/custom-amis.md)
- [Topics](./topics/index.md)
  - [Using clusterawsadm to fulfill prerequisites](./topics/using-clusterawsadm-to-fulfill-prerequisites.md)
  - [Accessing EC2 instances](./topics/accessing-ec2-instances.md)
  - [Spot instances](./topics/spot-instances.md)
  - [Machine Pools](./topics/machinepools.md)
  - [Multi-tenancy](./topics/multitenancy.md)
    - [Multi-tenancy in EKS-managed clusters](./topics/full-multitenancy-implementation.md)
  - [EKS Support](./topics/eks/index.md)
    - [Prerequisites](./topics/eks/prerequisites.md)
    - [Enabling EKS Support](./topics/eks/enabling.md)
    - [Pod Networking](./topics/eks/pod-networking.md)
    - [Creating a cluster](./topics/eks/creating-a-cluster.md)
    - [Using EKS Console](./topics/eks/eks-console.md)
    - [Using EKS Addons](./topics/eks/addons.md)
    - [Enabling Encryption](./topics/eks/encryption.md)
    - [Cluster Upgrades](./topics/eks/cluster-upgrades.md)
  - [Bring Your Own AWS Infrastructure](./topics/bring-your-own-aws-infrastructure.md)
  - [Specifying the IAM Role to use for Management Components](./topics/specify-management-iam-role.md)
  - [Using external cloud provider with EBS CSI driver](./topics/external-cloud-provider-with-ebs-csi-driver.md)
  - [Restricting Cluster API to certain namespaces](./topics/restricting-cluster-api-to-certain-namespaces.md)
  - [Using IAM roles in management cluster instead of credentials](./topics/using-iam-roles-in-mgmt-cluster.md)
  - [Failure domains](./topics/failure-domains/index.md)
    - [Control planes](./topics/failure-domains/control-planes.md)
    - [Worker nodes](./topics/failure-domains/worker-nodes.md)
  - [Userdata Privacy](./topics/userdata-privacy.md)
  - [Troubleshooting](./topics/troubleshooting.md)
  - [IAM Permissions Used](./topics/iam-permissions.md)
  - [Ignition support](./topics/ignition-support.md)
  - [External Resource Garbage Collection](./topics/external-resource-gc.md)
