//go:build !ignore_autogenerated_conversions
// +build !ignore_autogenerated_conversions

/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by conversion-gen. DO NOT EDIT.

package v1alpha4

import (
	unsafe "unsafe"

	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
	apiv1alpha4 "sigs.k8s.io/cluster-api-provider-aws/api/v1alpha4"
	apiv1beta1 "sigs.k8s.io/cluster-api-provider-aws/api/v1beta1"
	v1beta1 "sigs.k8s.io/cluster-api-provider-aws/exp/api/v1beta1"
	clusterapiapiv1alpha4 "sigs.k8s.io/cluster-api/api/v1alpha4"
	clusterapiapiv1beta1 "sigs.k8s.io/cluster-api/api/v1beta1"
	errors "sigs.k8s.io/cluster-api/errors"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*AWSFargateProfile)(nil), (*v1beta1.AWSFargateProfile)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSFargateProfile_To_v1beta1_AWSFargateProfile(a.(*AWSFargateProfile), b.(*v1beta1.AWSFargateProfile), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSFargateProfile)(nil), (*AWSFargateProfile)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSFargateProfile_To_v1alpha4_AWSFargateProfile(a.(*v1beta1.AWSFargateProfile), b.(*AWSFargateProfile), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSFargateProfileList)(nil), (*v1beta1.AWSFargateProfileList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSFargateProfileList_To_v1beta1_AWSFargateProfileList(a.(*AWSFargateProfileList), b.(*v1beta1.AWSFargateProfileList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSFargateProfileList)(nil), (*AWSFargateProfileList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSFargateProfileList_To_v1alpha4_AWSFargateProfileList(a.(*v1beta1.AWSFargateProfileList), b.(*AWSFargateProfileList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSLaunchTemplate)(nil), (*v1beta1.AWSLaunchTemplate)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSLaunchTemplate_To_v1beta1_AWSLaunchTemplate(a.(*AWSLaunchTemplate), b.(*v1beta1.AWSLaunchTemplate), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSLaunchTemplate)(nil), (*AWSLaunchTemplate)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSLaunchTemplate_To_v1alpha4_AWSLaunchTemplate(a.(*v1beta1.AWSLaunchTemplate), b.(*AWSLaunchTemplate), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachinePool)(nil), (*v1beta1.AWSMachinePool)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSMachinePool_To_v1beta1_AWSMachinePool(a.(*AWSMachinePool), b.(*v1beta1.AWSMachinePool), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachinePool)(nil), (*AWSMachinePool)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachinePool_To_v1alpha4_AWSMachinePool(a.(*v1beta1.AWSMachinePool), b.(*AWSMachinePool), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachinePoolInstanceStatus)(nil), (*v1beta1.AWSMachinePoolInstanceStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSMachinePoolInstanceStatus_To_v1beta1_AWSMachinePoolInstanceStatus(a.(*AWSMachinePoolInstanceStatus), b.(*v1beta1.AWSMachinePoolInstanceStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachinePoolInstanceStatus)(nil), (*AWSMachinePoolInstanceStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachinePoolInstanceStatus_To_v1alpha4_AWSMachinePoolInstanceStatus(a.(*v1beta1.AWSMachinePoolInstanceStatus), b.(*AWSMachinePoolInstanceStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachinePoolList)(nil), (*v1beta1.AWSMachinePoolList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSMachinePoolList_To_v1beta1_AWSMachinePoolList(a.(*AWSMachinePoolList), b.(*v1beta1.AWSMachinePoolList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachinePoolList)(nil), (*AWSMachinePoolList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachinePoolList_To_v1alpha4_AWSMachinePoolList(a.(*v1beta1.AWSMachinePoolList), b.(*AWSMachinePoolList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachinePoolSpec)(nil), (*v1beta1.AWSMachinePoolSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSMachinePoolSpec_To_v1beta1_AWSMachinePoolSpec(a.(*AWSMachinePoolSpec), b.(*v1beta1.AWSMachinePoolSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachinePoolSpec)(nil), (*AWSMachinePoolSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachinePoolSpec_To_v1alpha4_AWSMachinePoolSpec(a.(*v1beta1.AWSMachinePoolSpec), b.(*AWSMachinePoolSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSMachinePoolStatus)(nil), (*v1beta1.AWSMachinePoolStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSMachinePoolStatus_To_v1beta1_AWSMachinePoolStatus(a.(*AWSMachinePoolStatus), b.(*v1beta1.AWSMachinePoolStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSMachinePoolStatus)(nil), (*AWSMachinePoolStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSMachinePoolStatus_To_v1alpha4_AWSMachinePoolStatus(a.(*v1beta1.AWSMachinePoolStatus), b.(*AWSMachinePoolStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSManagedMachinePool)(nil), (*v1beta1.AWSManagedMachinePool)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSManagedMachinePool_To_v1beta1_AWSManagedMachinePool(a.(*AWSManagedMachinePool), b.(*v1beta1.AWSManagedMachinePool), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSManagedMachinePool)(nil), (*AWSManagedMachinePool)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSManagedMachinePool_To_v1alpha4_AWSManagedMachinePool(a.(*v1beta1.AWSManagedMachinePool), b.(*AWSManagedMachinePool), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSManagedMachinePoolList)(nil), (*v1beta1.AWSManagedMachinePoolList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSManagedMachinePoolList_To_v1beta1_AWSManagedMachinePoolList(a.(*AWSManagedMachinePoolList), b.(*v1beta1.AWSManagedMachinePoolList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSManagedMachinePoolList)(nil), (*AWSManagedMachinePoolList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSManagedMachinePoolList_To_v1alpha4_AWSManagedMachinePoolList(a.(*v1beta1.AWSManagedMachinePoolList), b.(*AWSManagedMachinePoolList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSManagedMachinePoolSpec)(nil), (*v1beta1.AWSManagedMachinePoolSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSManagedMachinePoolSpec_To_v1beta1_AWSManagedMachinePoolSpec(a.(*AWSManagedMachinePoolSpec), b.(*v1beta1.AWSManagedMachinePoolSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSManagedMachinePoolStatus)(nil), (*v1beta1.AWSManagedMachinePoolStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AWSManagedMachinePoolStatus_To_v1beta1_AWSManagedMachinePoolStatus(a.(*AWSManagedMachinePoolStatus), b.(*v1beta1.AWSManagedMachinePoolStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AWSManagedMachinePoolStatus)(nil), (*AWSManagedMachinePoolStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSManagedMachinePoolStatus_To_v1alpha4_AWSManagedMachinePoolStatus(a.(*v1beta1.AWSManagedMachinePoolStatus), b.(*AWSManagedMachinePoolStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AutoScalingGroup)(nil), (*v1beta1.AutoScalingGroup)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AutoScalingGroup_To_v1beta1_AutoScalingGroup(a.(*AutoScalingGroup), b.(*v1beta1.AutoScalingGroup), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.AutoScalingGroup)(nil), (*AutoScalingGroup)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AutoScalingGroup_To_v1alpha4_AutoScalingGroup(a.(*v1beta1.AutoScalingGroup), b.(*AutoScalingGroup), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*BlockDeviceMapping)(nil), (*v1beta1.BlockDeviceMapping)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_BlockDeviceMapping_To_v1beta1_BlockDeviceMapping(a.(*BlockDeviceMapping), b.(*v1beta1.BlockDeviceMapping), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.BlockDeviceMapping)(nil), (*BlockDeviceMapping)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_BlockDeviceMapping_To_v1alpha4_BlockDeviceMapping(a.(*v1beta1.BlockDeviceMapping), b.(*BlockDeviceMapping), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*EBS)(nil), (*v1beta1.EBS)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_EBS_To_v1beta1_EBS(a.(*EBS), b.(*v1beta1.EBS), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.EBS)(nil), (*EBS)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_EBS_To_v1alpha4_EBS(a.(*v1beta1.EBS), b.(*EBS), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FargateProfileSpec)(nil), (*v1beta1.FargateProfileSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_FargateProfileSpec_To_v1beta1_FargateProfileSpec(a.(*FargateProfileSpec), b.(*v1beta1.FargateProfileSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.FargateProfileSpec)(nil), (*FargateProfileSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_FargateProfileSpec_To_v1alpha4_FargateProfileSpec(a.(*v1beta1.FargateProfileSpec), b.(*FargateProfileSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FargateProfileStatus)(nil), (*v1beta1.FargateProfileStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_FargateProfileStatus_To_v1beta1_FargateProfileStatus(a.(*FargateProfileStatus), b.(*v1beta1.FargateProfileStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.FargateProfileStatus)(nil), (*FargateProfileStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_FargateProfileStatus_To_v1alpha4_FargateProfileStatus(a.(*v1beta1.FargateProfileStatus), b.(*FargateProfileStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FargateSelector)(nil), (*v1beta1.FargateSelector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_FargateSelector_To_v1beta1_FargateSelector(a.(*FargateSelector), b.(*v1beta1.FargateSelector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.FargateSelector)(nil), (*FargateSelector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_FargateSelector_To_v1alpha4_FargateSelector(a.(*v1beta1.FargateSelector), b.(*FargateSelector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*InstancesDistribution)(nil), (*v1beta1.InstancesDistribution)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_InstancesDistribution_To_v1beta1_InstancesDistribution(a.(*InstancesDistribution), b.(*v1beta1.InstancesDistribution), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.InstancesDistribution)(nil), (*InstancesDistribution)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_InstancesDistribution_To_v1alpha4_InstancesDistribution(a.(*v1beta1.InstancesDistribution), b.(*InstancesDistribution), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ManagedMachinePoolScaling)(nil), (*v1beta1.ManagedMachinePoolScaling)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_ManagedMachinePoolScaling_To_v1beta1_ManagedMachinePoolScaling(a.(*ManagedMachinePoolScaling), b.(*v1beta1.ManagedMachinePoolScaling), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.ManagedMachinePoolScaling)(nil), (*ManagedMachinePoolScaling)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ManagedMachinePoolScaling_To_v1alpha4_ManagedMachinePoolScaling(a.(*v1beta1.ManagedMachinePoolScaling), b.(*ManagedMachinePoolScaling), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ManagedRemoteAccess)(nil), (*v1beta1.ManagedRemoteAccess)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_ManagedRemoteAccess_To_v1beta1_ManagedRemoteAccess(a.(*ManagedRemoteAccess), b.(*v1beta1.ManagedRemoteAccess), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.ManagedRemoteAccess)(nil), (*ManagedRemoteAccess)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ManagedRemoteAccess_To_v1alpha4_ManagedRemoteAccess(a.(*v1beta1.ManagedRemoteAccess), b.(*ManagedRemoteAccess), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MixedInstancesPolicy)(nil), (*v1beta1.MixedInstancesPolicy)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_MixedInstancesPolicy_To_v1beta1_MixedInstancesPolicy(a.(*MixedInstancesPolicy), b.(*v1beta1.MixedInstancesPolicy), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.MixedInstancesPolicy)(nil), (*MixedInstancesPolicy)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_MixedInstancesPolicy_To_v1alpha4_MixedInstancesPolicy(a.(*v1beta1.MixedInstancesPolicy), b.(*MixedInstancesPolicy), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Overrides)(nil), (*v1beta1.Overrides)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_Overrides_To_v1beta1_Overrides(a.(*Overrides), b.(*v1beta1.Overrides), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.Overrides)(nil), (*Overrides)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Overrides_To_v1alpha4_Overrides(a.(*v1beta1.Overrides), b.(*Overrides), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*RefreshPreferences)(nil), (*v1beta1.RefreshPreferences)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_RefreshPreferences_To_v1beta1_RefreshPreferences(a.(*RefreshPreferences), b.(*v1beta1.RefreshPreferences), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.RefreshPreferences)(nil), (*RefreshPreferences)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_RefreshPreferences_To_v1alpha4_RefreshPreferences(a.(*v1beta1.RefreshPreferences), b.(*RefreshPreferences), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Taint)(nil), (*v1beta1.Taint)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_Taint_To_v1beta1_Taint(a.(*Taint), b.(*v1beta1.Taint), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1beta1.Taint)(nil), (*Taint)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Taint_To_v1alpha4_Taint(a.(*v1beta1.Taint), b.(*Taint), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*apiv1alpha4.AMIReference)(nil), (*apiv1beta1.AMIReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_AMIReference_To_v1beta1_AMIReference(a.(*apiv1alpha4.AMIReference), b.(*apiv1beta1.AMIReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*apiv1alpha4.Instance)(nil), (*apiv1beta1.Instance)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha4_Instance_To_v1beta1_Instance(a.(*apiv1alpha4.Instance), b.(*apiv1beta1.Instance), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*apiv1beta1.AMIReference)(nil), (*apiv1alpha4.AMIReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AMIReference_To_v1alpha4_AMIReference(a.(*apiv1beta1.AMIReference), b.(*apiv1alpha4.AMIReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1beta1.AWSManagedMachinePoolSpec)(nil), (*AWSManagedMachinePoolSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSManagedMachinePoolSpec_To_v1alpha4_AWSManagedMachinePoolSpec(a.(*v1beta1.AWSManagedMachinePoolSpec), b.(*AWSManagedMachinePoolSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*apiv1beta1.Instance)(nil), (*apiv1alpha4.Instance)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Instance_To_v1alpha4_Instance(a.(*apiv1beta1.Instance), b.(*apiv1alpha4.Instance), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1alpha4_AWSFargateProfile_To_v1beta1_AWSFargateProfile(in *AWSFargateProfile, out *v1beta1.AWSFargateProfile, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha4_FargateProfileSpec_To_v1beta1_FargateProfileSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha4_FargateProfileStatus_To_v1beta1_FargateProfileStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha4_AWSFargateProfile_To_v1beta1_AWSFargateProfile is an autogenerated conversion function.
func Convert_v1alpha4_AWSFargateProfile_To_v1beta1_AWSFargateProfile(in *AWSFargateProfile, out *v1beta1.AWSFargateProfile, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSFargateProfile_To_v1beta1_AWSFargateProfile(in, out, s)
}

func autoConvert_v1beta1_AWSFargateProfile_To_v1alpha4_AWSFargateProfile(in *v1beta1.AWSFargateProfile, out *AWSFargateProfile, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_FargateProfileSpec_To_v1alpha4_FargateProfileSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_FargateProfileStatus_To_v1alpha4_FargateProfileStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSFargateProfile_To_v1alpha4_AWSFargateProfile is an autogenerated conversion function.
func Convert_v1beta1_AWSFargateProfile_To_v1alpha4_AWSFargateProfile(in *v1beta1.AWSFargateProfile, out *AWSFargateProfile, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSFargateProfile_To_v1alpha4_AWSFargateProfile(in, out, s)
}

func autoConvert_v1alpha4_AWSFargateProfileList_To_v1beta1_AWSFargateProfileList(in *AWSFargateProfileList, out *v1beta1.AWSFargateProfileList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1beta1.AWSFargateProfile, len(*in))
		for i := range *in {
			if err := Convert_v1alpha4_AWSFargateProfile_To_v1beta1_AWSFargateProfile(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha4_AWSFargateProfileList_To_v1beta1_AWSFargateProfileList is an autogenerated conversion function.
func Convert_v1alpha4_AWSFargateProfileList_To_v1beta1_AWSFargateProfileList(in *AWSFargateProfileList, out *v1beta1.AWSFargateProfileList, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSFargateProfileList_To_v1beta1_AWSFargateProfileList(in, out, s)
}

func autoConvert_v1beta1_AWSFargateProfileList_To_v1alpha4_AWSFargateProfileList(in *v1beta1.AWSFargateProfileList, out *AWSFargateProfileList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]AWSFargateProfile, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_AWSFargateProfile_To_v1alpha4_AWSFargateProfile(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1beta1_AWSFargateProfileList_To_v1alpha4_AWSFargateProfileList is an autogenerated conversion function.
func Convert_v1beta1_AWSFargateProfileList_To_v1alpha4_AWSFargateProfileList(in *v1beta1.AWSFargateProfileList, out *AWSFargateProfileList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSFargateProfileList_To_v1alpha4_AWSFargateProfileList(in, out, s)
}

func autoConvert_v1alpha4_AWSLaunchTemplate_To_v1beta1_AWSLaunchTemplate(in *AWSLaunchTemplate, out *v1beta1.AWSLaunchTemplate, s conversion.Scope) error {
	out.Name = in.Name
	out.IamInstanceProfile = in.IamInstanceProfile
	if err := Convert_v1alpha4_AMIReference_To_v1beta1_AMIReference(&in.AMI, &out.AMI, s); err != nil {
		return err
	}
	out.ImageLookupFormat = in.ImageLookupFormat
	out.ImageLookupOrg = in.ImageLookupOrg
	out.ImageLookupBaseOS = in.ImageLookupBaseOS
	out.InstanceType = in.InstanceType
	out.RootVolume = (*apiv1beta1.Volume)(unsafe.Pointer(in.RootVolume))
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	out.VersionNumber = (*int64)(unsafe.Pointer(in.VersionNumber))
	out.AdditionalSecurityGroups = *(*[]apiv1beta1.AWSResourceReference)(unsafe.Pointer(&in.AdditionalSecurityGroups))
	return nil
}

// Convert_v1alpha4_AWSLaunchTemplate_To_v1beta1_AWSLaunchTemplate is an autogenerated conversion function.
func Convert_v1alpha4_AWSLaunchTemplate_To_v1beta1_AWSLaunchTemplate(in *AWSLaunchTemplate, out *v1beta1.AWSLaunchTemplate, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSLaunchTemplate_To_v1beta1_AWSLaunchTemplate(in, out, s)
}

func autoConvert_v1beta1_AWSLaunchTemplate_To_v1alpha4_AWSLaunchTemplate(in *v1beta1.AWSLaunchTemplate, out *AWSLaunchTemplate, s conversion.Scope) error {
	out.Name = in.Name
	out.IamInstanceProfile = in.IamInstanceProfile
	if err := Convert_v1beta1_AMIReference_To_v1alpha4_AMIReference(&in.AMI, &out.AMI, s); err != nil {
		return err
	}
	out.ImageLookupFormat = in.ImageLookupFormat
	out.ImageLookupOrg = in.ImageLookupOrg
	out.ImageLookupBaseOS = in.ImageLookupBaseOS
	out.InstanceType = in.InstanceType
	out.RootVolume = (*apiv1alpha4.Volume)(unsafe.Pointer(in.RootVolume))
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	out.VersionNumber = (*int64)(unsafe.Pointer(in.VersionNumber))
	out.AdditionalSecurityGroups = *(*[]apiv1alpha4.AWSResourceReference)(unsafe.Pointer(&in.AdditionalSecurityGroups))
	return nil
}

// Convert_v1beta1_AWSLaunchTemplate_To_v1alpha4_AWSLaunchTemplate is an autogenerated conversion function.
func Convert_v1beta1_AWSLaunchTemplate_To_v1alpha4_AWSLaunchTemplate(in *v1beta1.AWSLaunchTemplate, out *AWSLaunchTemplate, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSLaunchTemplate_To_v1alpha4_AWSLaunchTemplate(in, out, s)
}

func autoConvert_v1alpha4_AWSMachinePool_To_v1beta1_AWSMachinePool(in *AWSMachinePool, out *v1beta1.AWSMachinePool, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha4_AWSMachinePoolSpec_To_v1beta1_AWSMachinePoolSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha4_AWSMachinePoolStatus_To_v1beta1_AWSMachinePoolStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha4_AWSMachinePool_To_v1beta1_AWSMachinePool is an autogenerated conversion function.
func Convert_v1alpha4_AWSMachinePool_To_v1beta1_AWSMachinePool(in *AWSMachinePool, out *v1beta1.AWSMachinePool, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSMachinePool_To_v1beta1_AWSMachinePool(in, out, s)
}

func autoConvert_v1beta1_AWSMachinePool_To_v1alpha4_AWSMachinePool(in *v1beta1.AWSMachinePool, out *AWSMachinePool, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSMachinePoolSpec_To_v1alpha4_AWSMachinePoolSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_AWSMachinePoolStatus_To_v1alpha4_AWSMachinePoolStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSMachinePool_To_v1alpha4_AWSMachinePool is an autogenerated conversion function.
func Convert_v1beta1_AWSMachinePool_To_v1alpha4_AWSMachinePool(in *v1beta1.AWSMachinePool, out *AWSMachinePool, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachinePool_To_v1alpha4_AWSMachinePool(in, out, s)
}

func autoConvert_v1alpha4_AWSMachinePoolInstanceStatus_To_v1beta1_AWSMachinePoolInstanceStatus(in *AWSMachinePoolInstanceStatus, out *v1beta1.AWSMachinePoolInstanceStatus, s conversion.Scope) error {
	out.InstanceID = in.InstanceID
	out.Version = (*string)(unsafe.Pointer(in.Version))
	return nil
}

// Convert_v1alpha4_AWSMachinePoolInstanceStatus_To_v1beta1_AWSMachinePoolInstanceStatus is an autogenerated conversion function.
func Convert_v1alpha4_AWSMachinePoolInstanceStatus_To_v1beta1_AWSMachinePoolInstanceStatus(in *AWSMachinePoolInstanceStatus, out *v1beta1.AWSMachinePoolInstanceStatus, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSMachinePoolInstanceStatus_To_v1beta1_AWSMachinePoolInstanceStatus(in, out, s)
}

func autoConvert_v1beta1_AWSMachinePoolInstanceStatus_To_v1alpha4_AWSMachinePoolInstanceStatus(in *v1beta1.AWSMachinePoolInstanceStatus, out *AWSMachinePoolInstanceStatus, s conversion.Scope) error {
	out.InstanceID = in.InstanceID
	out.Version = (*string)(unsafe.Pointer(in.Version))
	return nil
}

// Convert_v1beta1_AWSMachinePoolInstanceStatus_To_v1alpha4_AWSMachinePoolInstanceStatus is an autogenerated conversion function.
func Convert_v1beta1_AWSMachinePoolInstanceStatus_To_v1alpha4_AWSMachinePoolInstanceStatus(in *v1beta1.AWSMachinePoolInstanceStatus, out *AWSMachinePoolInstanceStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachinePoolInstanceStatus_To_v1alpha4_AWSMachinePoolInstanceStatus(in, out, s)
}

func autoConvert_v1alpha4_AWSMachinePoolList_To_v1beta1_AWSMachinePoolList(in *AWSMachinePoolList, out *v1beta1.AWSMachinePoolList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1beta1.AWSMachinePool, len(*in))
		for i := range *in {
			if err := Convert_v1alpha4_AWSMachinePool_To_v1beta1_AWSMachinePool(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha4_AWSMachinePoolList_To_v1beta1_AWSMachinePoolList is an autogenerated conversion function.
func Convert_v1alpha4_AWSMachinePoolList_To_v1beta1_AWSMachinePoolList(in *AWSMachinePoolList, out *v1beta1.AWSMachinePoolList, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSMachinePoolList_To_v1beta1_AWSMachinePoolList(in, out, s)
}

func autoConvert_v1beta1_AWSMachinePoolList_To_v1alpha4_AWSMachinePoolList(in *v1beta1.AWSMachinePoolList, out *AWSMachinePoolList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]AWSMachinePool, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_AWSMachinePool_To_v1alpha4_AWSMachinePool(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1beta1_AWSMachinePoolList_To_v1alpha4_AWSMachinePoolList is an autogenerated conversion function.
func Convert_v1beta1_AWSMachinePoolList_To_v1alpha4_AWSMachinePoolList(in *v1beta1.AWSMachinePoolList, out *AWSMachinePoolList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachinePoolList_To_v1alpha4_AWSMachinePoolList(in, out, s)
}

func autoConvert_v1alpha4_AWSMachinePoolSpec_To_v1beta1_AWSMachinePoolSpec(in *AWSMachinePoolSpec, out *v1beta1.AWSMachinePoolSpec, s conversion.Scope) error {
	out.ProviderID = in.ProviderID
	out.MinSize = in.MinSize
	out.MaxSize = in.MaxSize
	out.AvailabilityZones = *(*[]string)(unsafe.Pointer(&in.AvailabilityZones))
	out.Subnets = *(*[]apiv1beta1.AWSResourceReference)(unsafe.Pointer(&in.Subnets))
	out.AdditionalTags = *(*apiv1beta1.Tags)(unsafe.Pointer(&in.AdditionalTags))
	if err := Convert_v1alpha4_AWSLaunchTemplate_To_v1beta1_AWSLaunchTemplate(&in.AWSLaunchTemplate, &out.AWSLaunchTemplate, s); err != nil {
		return err
	}
	out.MixedInstancesPolicy = (*v1beta1.MixedInstancesPolicy)(unsafe.Pointer(in.MixedInstancesPolicy))
	out.ProviderIDList = *(*[]string)(unsafe.Pointer(&in.ProviderIDList))
	out.DefaultCoolDown = in.DefaultCoolDown
	out.RefreshPreferences = (*v1beta1.RefreshPreferences)(unsafe.Pointer(in.RefreshPreferences))
	out.CapacityRebalance = in.CapacityRebalance
	return nil
}

// Convert_v1alpha4_AWSMachinePoolSpec_To_v1beta1_AWSMachinePoolSpec is an autogenerated conversion function.
func Convert_v1alpha4_AWSMachinePoolSpec_To_v1beta1_AWSMachinePoolSpec(in *AWSMachinePoolSpec, out *v1beta1.AWSMachinePoolSpec, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSMachinePoolSpec_To_v1beta1_AWSMachinePoolSpec(in, out, s)
}

func autoConvert_v1beta1_AWSMachinePoolSpec_To_v1alpha4_AWSMachinePoolSpec(in *v1beta1.AWSMachinePoolSpec, out *AWSMachinePoolSpec, s conversion.Scope) error {
	out.ProviderID = in.ProviderID
	out.MinSize = in.MinSize
	out.MaxSize = in.MaxSize
	out.AvailabilityZones = *(*[]string)(unsafe.Pointer(&in.AvailabilityZones))
	out.Subnets = *(*[]apiv1alpha4.AWSResourceReference)(unsafe.Pointer(&in.Subnets))
	out.AdditionalTags = *(*apiv1alpha4.Tags)(unsafe.Pointer(&in.AdditionalTags))
	if err := Convert_v1beta1_AWSLaunchTemplate_To_v1alpha4_AWSLaunchTemplate(&in.AWSLaunchTemplate, &out.AWSLaunchTemplate, s); err != nil {
		return err
	}
	out.MixedInstancesPolicy = (*MixedInstancesPolicy)(unsafe.Pointer(in.MixedInstancesPolicy))
	out.ProviderIDList = *(*[]string)(unsafe.Pointer(&in.ProviderIDList))
	out.DefaultCoolDown = in.DefaultCoolDown
	out.RefreshPreferences = (*RefreshPreferences)(unsafe.Pointer(in.RefreshPreferences))
	out.CapacityRebalance = in.CapacityRebalance
	return nil
}

// Convert_v1beta1_AWSMachinePoolSpec_To_v1alpha4_AWSMachinePoolSpec is an autogenerated conversion function.
func Convert_v1beta1_AWSMachinePoolSpec_To_v1alpha4_AWSMachinePoolSpec(in *v1beta1.AWSMachinePoolSpec, out *AWSMachinePoolSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachinePoolSpec_To_v1alpha4_AWSMachinePoolSpec(in, out, s)
}

func autoConvert_v1alpha4_AWSMachinePoolStatus_To_v1beta1_AWSMachinePoolStatus(in *AWSMachinePoolStatus, out *v1beta1.AWSMachinePoolStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.Replicas = in.Replicas
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(clusterapiapiv1beta1.Conditions, len(*in))
		for i := range *in {
			if err := clusterapiapiv1alpha4.Convert_v1alpha4_Condition_To_v1beta1_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	out.Instances = *(*[]v1beta1.AWSMachinePoolInstanceStatus)(unsafe.Pointer(&in.Instances))
	out.LaunchTemplateID = in.LaunchTemplateID
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	out.ASGStatus = (*v1beta1.ASGStatus)(unsafe.Pointer(in.ASGStatus))
	return nil
}

// Convert_v1alpha4_AWSMachinePoolStatus_To_v1beta1_AWSMachinePoolStatus is an autogenerated conversion function.
func Convert_v1alpha4_AWSMachinePoolStatus_To_v1beta1_AWSMachinePoolStatus(in *AWSMachinePoolStatus, out *v1beta1.AWSMachinePoolStatus, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSMachinePoolStatus_To_v1beta1_AWSMachinePoolStatus(in, out, s)
}

func autoConvert_v1beta1_AWSMachinePoolStatus_To_v1alpha4_AWSMachinePoolStatus(in *v1beta1.AWSMachinePoolStatus, out *AWSMachinePoolStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.Replicas = in.Replicas
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(clusterapiapiv1alpha4.Conditions, len(*in))
		for i := range *in {
			if err := clusterapiapiv1alpha4.Convert_v1beta1_Condition_To_v1alpha4_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	out.Instances = *(*[]AWSMachinePoolInstanceStatus)(unsafe.Pointer(&in.Instances))
	out.LaunchTemplateID = in.LaunchTemplateID
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	out.ASGStatus = (*ASGStatus)(unsafe.Pointer(in.ASGStatus))
	return nil
}

// Convert_v1beta1_AWSMachinePoolStatus_To_v1alpha4_AWSMachinePoolStatus is an autogenerated conversion function.
func Convert_v1beta1_AWSMachinePoolStatus_To_v1alpha4_AWSMachinePoolStatus(in *v1beta1.AWSMachinePoolStatus, out *AWSMachinePoolStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSMachinePoolStatus_To_v1alpha4_AWSMachinePoolStatus(in, out, s)
}

func autoConvert_v1alpha4_AWSManagedMachinePool_To_v1beta1_AWSManagedMachinePool(in *AWSManagedMachinePool, out *v1beta1.AWSManagedMachinePool, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha4_AWSManagedMachinePoolSpec_To_v1beta1_AWSManagedMachinePoolSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha4_AWSManagedMachinePoolStatus_To_v1beta1_AWSManagedMachinePoolStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha4_AWSManagedMachinePool_To_v1beta1_AWSManagedMachinePool is an autogenerated conversion function.
func Convert_v1alpha4_AWSManagedMachinePool_To_v1beta1_AWSManagedMachinePool(in *AWSManagedMachinePool, out *v1beta1.AWSManagedMachinePool, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSManagedMachinePool_To_v1beta1_AWSManagedMachinePool(in, out, s)
}

func autoConvert_v1beta1_AWSManagedMachinePool_To_v1alpha4_AWSManagedMachinePool(in *v1beta1.AWSManagedMachinePool, out *AWSManagedMachinePool, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1beta1_AWSManagedMachinePoolSpec_To_v1alpha4_AWSManagedMachinePoolSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_AWSManagedMachinePoolStatus_To_v1alpha4_AWSManagedMachinePoolStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AWSManagedMachinePool_To_v1alpha4_AWSManagedMachinePool is an autogenerated conversion function.
func Convert_v1beta1_AWSManagedMachinePool_To_v1alpha4_AWSManagedMachinePool(in *v1beta1.AWSManagedMachinePool, out *AWSManagedMachinePool, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSManagedMachinePool_To_v1alpha4_AWSManagedMachinePool(in, out, s)
}

func autoConvert_v1alpha4_AWSManagedMachinePoolList_To_v1beta1_AWSManagedMachinePoolList(in *AWSManagedMachinePoolList, out *v1beta1.AWSManagedMachinePoolList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1beta1.AWSManagedMachinePool, len(*in))
		for i := range *in {
			if err := Convert_v1alpha4_AWSManagedMachinePool_To_v1beta1_AWSManagedMachinePool(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha4_AWSManagedMachinePoolList_To_v1beta1_AWSManagedMachinePoolList is an autogenerated conversion function.
func Convert_v1alpha4_AWSManagedMachinePoolList_To_v1beta1_AWSManagedMachinePoolList(in *AWSManagedMachinePoolList, out *v1beta1.AWSManagedMachinePoolList, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSManagedMachinePoolList_To_v1beta1_AWSManagedMachinePoolList(in, out, s)
}

func autoConvert_v1beta1_AWSManagedMachinePoolList_To_v1alpha4_AWSManagedMachinePoolList(in *v1beta1.AWSManagedMachinePoolList, out *AWSManagedMachinePoolList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]AWSManagedMachinePool, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_AWSManagedMachinePool_To_v1alpha4_AWSManagedMachinePool(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1beta1_AWSManagedMachinePoolList_To_v1alpha4_AWSManagedMachinePoolList is an autogenerated conversion function.
func Convert_v1beta1_AWSManagedMachinePoolList_To_v1alpha4_AWSManagedMachinePoolList(in *v1beta1.AWSManagedMachinePoolList, out *AWSManagedMachinePoolList, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSManagedMachinePoolList_To_v1alpha4_AWSManagedMachinePoolList(in, out, s)
}

func autoConvert_v1alpha4_AWSManagedMachinePoolSpec_To_v1beta1_AWSManagedMachinePoolSpec(in *AWSManagedMachinePoolSpec, out *v1beta1.AWSManagedMachinePoolSpec, s conversion.Scope) error {
	out.EKSNodegroupName = in.EKSNodegroupName
	out.AvailabilityZones = *(*[]string)(unsafe.Pointer(&in.AvailabilityZones))
	out.SubnetIDs = *(*[]string)(unsafe.Pointer(&in.SubnetIDs))
	out.AdditionalTags = *(*apiv1beta1.Tags)(unsafe.Pointer(&in.AdditionalTags))
	out.RoleName = in.RoleName
	out.AMIVersion = (*string)(unsafe.Pointer(in.AMIVersion))
	out.AMIType = (*v1beta1.ManagedMachineAMIType)(unsafe.Pointer(in.AMIType))
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Taints = *(*v1beta1.Taints)(unsafe.Pointer(&in.Taints))
	out.DiskSize = (*int32)(unsafe.Pointer(in.DiskSize))
	out.InstanceType = (*string)(unsafe.Pointer(in.InstanceType))
	out.Scaling = (*v1beta1.ManagedMachinePoolScaling)(unsafe.Pointer(in.Scaling))
	out.RemoteAccess = (*v1beta1.ManagedRemoteAccess)(unsafe.Pointer(in.RemoteAccess))
	out.ProviderIDList = *(*[]string)(unsafe.Pointer(&in.ProviderIDList))
	out.CapacityType = (*v1beta1.ManagedMachinePoolCapacityType)(unsafe.Pointer(in.CapacityType))
	return nil
}

// Convert_v1alpha4_AWSManagedMachinePoolSpec_To_v1beta1_AWSManagedMachinePoolSpec is an autogenerated conversion function.
func Convert_v1alpha4_AWSManagedMachinePoolSpec_To_v1beta1_AWSManagedMachinePoolSpec(in *AWSManagedMachinePoolSpec, out *v1beta1.AWSManagedMachinePoolSpec, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSManagedMachinePoolSpec_To_v1beta1_AWSManagedMachinePoolSpec(in, out, s)
}

func autoConvert_v1beta1_AWSManagedMachinePoolSpec_To_v1alpha4_AWSManagedMachinePoolSpec(in *v1beta1.AWSManagedMachinePoolSpec, out *AWSManagedMachinePoolSpec, s conversion.Scope) error {
	out.EKSNodegroupName = in.EKSNodegroupName
	out.AvailabilityZones = *(*[]string)(unsafe.Pointer(&in.AvailabilityZones))
	out.SubnetIDs = *(*[]string)(unsafe.Pointer(&in.SubnetIDs))
	out.AdditionalTags = *(*apiv1alpha4.Tags)(unsafe.Pointer(&in.AdditionalTags))
	// WARNING: in.RoleAdditionalPolicies requires manual conversion: does not exist in peer-type
	out.RoleName = in.RoleName
	out.AMIVersion = (*string)(unsafe.Pointer(in.AMIVersion))
	out.AMIType = (*ManagedMachineAMIType)(unsafe.Pointer(in.AMIType))
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Taints = *(*Taints)(unsafe.Pointer(&in.Taints))
	out.DiskSize = (*int32)(unsafe.Pointer(in.DiskSize))
	out.InstanceType = (*string)(unsafe.Pointer(in.InstanceType))
	out.Scaling = (*ManagedMachinePoolScaling)(unsafe.Pointer(in.Scaling))
	out.RemoteAccess = (*ManagedRemoteAccess)(unsafe.Pointer(in.RemoteAccess))
	out.ProviderIDList = *(*[]string)(unsafe.Pointer(&in.ProviderIDList))
	out.CapacityType = (*ManagedMachinePoolCapacityType)(unsafe.Pointer(in.CapacityType))
	// WARNING: in.UpdateConfig requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1alpha4_AWSManagedMachinePoolStatus_To_v1beta1_AWSManagedMachinePoolStatus(in *AWSManagedMachinePoolStatus, out *v1beta1.AWSManagedMachinePoolStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.Replicas = in.Replicas
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(clusterapiapiv1beta1.Conditions, len(*in))
		for i := range *in {
			if err := clusterapiapiv1alpha4.Convert_v1alpha4_Condition_To_v1beta1_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	return nil
}

// Convert_v1alpha4_AWSManagedMachinePoolStatus_To_v1beta1_AWSManagedMachinePoolStatus is an autogenerated conversion function.
func Convert_v1alpha4_AWSManagedMachinePoolStatus_To_v1beta1_AWSManagedMachinePoolStatus(in *AWSManagedMachinePoolStatus, out *v1beta1.AWSManagedMachinePoolStatus, s conversion.Scope) error {
	return autoConvert_v1alpha4_AWSManagedMachinePoolStatus_To_v1beta1_AWSManagedMachinePoolStatus(in, out, s)
}

func autoConvert_v1beta1_AWSManagedMachinePoolStatus_To_v1alpha4_AWSManagedMachinePoolStatus(in *v1beta1.AWSManagedMachinePoolStatus, out *AWSManagedMachinePoolStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.Replicas = in.Replicas
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(clusterapiapiv1alpha4.Conditions, len(*in))
		for i := range *in {
			if err := clusterapiapiv1alpha4.Convert_v1beta1_Condition_To_v1alpha4_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	return nil
}

// Convert_v1beta1_AWSManagedMachinePoolStatus_To_v1alpha4_AWSManagedMachinePoolStatus is an autogenerated conversion function.
func Convert_v1beta1_AWSManagedMachinePoolStatus_To_v1alpha4_AWSManagedMachinePoolStatus(in *v1beta1.AWSManagedMachinePoolStatus, out *AWSManagedMachinePoolStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSManagedMachinePoolStatus_To_v1alpha4_AWSManagedMachinePoolStatus(in, out, s)
}

func autoConvert_v1alpha4_AutoScalingGroup_To_v1beta1_AutoScalingGroup(in *AutoScalingGroup, out *v1beta1.AutoScalingGroup, s conversion.Scope) error {
	out.ID = in.ID
	out.Tags = *(*apiv1beta1.Tags)(unsafe.Pointer(&in.Tags))
	out.Name = in.Name
	out.DesiredCapacity = (*int32)(unsafe.Pointer(in.DesiredCapacity))
	out.MaxSize = in.MaxSize
	out.MinSize = in.MinSize
	out.PlacementGroup = in.PlacementGroup
	out.Subnets = *(*[]string)(unsafe.Pointer(&in.Subnets))
	out.DefaultCoolDown = in.DefaultCoolDown
	out.CapacityRebalance = in.CapacityRebalance
	out.MixedInstancesPolicy = (*v1beta1.MixedInstancesPolicy)(unsafe.Pointer(in.MixedInstancesPolicy))
	out.Status = v1beta1.ASGStatus(in.Status)
	if in.Instances != nil {
		in, out := &in.Instances, &out.Instances
		*out = make([]apiv1beta1.Instance, len(*in))
		for i := range *in {
			if err := Convert_v1alpha4_Instance_To_v1beta1_Instance(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Instances = nil
	}
	return nil
}

// Convert_v1alpha4_AutoScalingGroup_To_v1beta1_AutoScalingGroup is an autogenerated conversion function.
func Convert_v1alpha4_AutoScalingGroup_To_v1beta1_AutoScalingGroup(in *AutoScalingGroup, out *v1beta1.AutoScalingGroup, s conversion.Scope) error {
	return autoConvert_v1alpha4_AutoScalingGroup_To_v1beta1_AutoScalingGroup(in, out, s)
}

func autoConvert_v1beta1_AutoScalingGroup_To_v1alpha4_AutoScalingGroup(in *v1beta1.AutoScalingGroup, out *AutoScalingGroup, s conversion.Scope) error {
	out.ID = in.ID
	out.Tags = *(*apiv1alpha4.Tags)(unsafe.Pointer(&in.Tags))
	out.Name = in.Name
	out.DesiredCapacity = (*int32)(unsafe.Pointer(in.DesiredCapacity))
	out.MaxSize = in.MaxSize
	out.MinSize = in.MinSize
	out.PlacementGroup = in.PlacementGroup
	out.Subnets = *(*[]string)(unsafe.Pointer(&in.Subnets))
	out.DefaultCoolDown = in.DefaultCoolDown
	out.CapacityRebalance = in.CapacityRebalance
	out.MixedInstancesPolicy = (*MixedInstancesPolicy)(unsafe.Pointer(in.MixedInstancesPolicy))
	out.Status = ASGStatus(in.Status)
	if in.Instances != nil {
		in, out := &in.Instances, &out.Instances
		*out = make([]apiv1alpha4.Instance, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_Instance_To_v1alpha4_Instance(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Instances = nil
	}
	return nil
}

// Convert_v1beta1_AutoScalingGroup_To_v1alpha4_AutoScalingGroup is an autogenerated conversion function.
func Convert_v1beta1_AutoScalingGroup_To_v1alpha4_AutoScalingGroup(in *v1beta1.AutoScalingGroup, out *AutoScalingGroup, s conversion.Scope) error {
	return autoConvert_v1beta1_AutoScalingGroup_To_v1alpha4_AutoScalingGroup(in, out, s)
}

func autoConvert_v1alpha4_BlockDeviceMapping_To_v1beta1_BlockDeviceMapping(in *BlockDeviceMapping, out *v1beta1.BlockDeviceMapping, s conversion.Scope) error {
	out.DeviceName = in.DeviceName
	if err := Convert_v1alpha4_EBS_To_v1beta1_EBS(&in.Ebs, &out.Ebs, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha4_BlockDeviceMapping_To_v1beta1_BlockDeviceMapping is an autogenerated conversion function.
func Convert_v1alpha4_BlockDeviceMapping_To_v1beta1_BlockDeviceMapping(in *BlockDeviceMapping, out *v1beta1.BlockDeviceMapping, s conversion.Scope) error {
	return autoConvert_v1alpha4_BlockDeviceMapping_To_v1beta1_BlockDeviceMapping(in, out, s)
}

func autoConvert_v1beta1_BlockDeviceMapping_To_v1alpha4_BlockDeviceMapping(in *v1beta1.BlockDeviceMapping, out *BlockDeviceMapping, s conversion.Scope) error {
	out.DeviceName = in.DeviceName
	if err := Convert_v1beta1_EBS_To_v1alpha4_EBS(&in.Ebs, &out.Ebs, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_BlockDeviceMapping_To_v1alpha4_BlockDeviceMapping is an autogenerated conversion function.
func Convert_v1beta1_BlockDeviceMapping_To_v1alpha4_BlockDeviceMapping(in *v1beta1.BlockDeviceMapping, out *BlockDeviceMapping, s conversion.Scope) error {
	return autoConvert_v1beta1_BlockDeviceMapping_To_v1alpha4_BlockDeviceMapping(in, out, s)
}

func autoConvert_v1alpha4_EBS_To_v1beta1_EBS(in *EBS, out *v1beta1.EBS, s conversion.Scope) error {
	out.Encrypted = in.Encrypted
	out.VolumeSize = in.VolumeSize
	out.VolumeType = in.VolumeType
	return nil
}

// Convert_v1alpha4_EBS_To_v1beta1_EBS is an autogenerated conversion function.
func Convert_v1alpha4_EBS_To_v1beta1_EBS(in *EBS, out *v1beta1.EBS, s conversion.Scope) error {
	return autoConvert_v1alpha4_EBS_To_v1beta1_EBS(in, out, s)
}

func autoConvert_v1beta1_EBS_To_v1alpha4_EBS(in *v1beta1.EBS, out *EBS, s conversion.Scope) error {
	out.Encrypted = in.Encrypted
	out.VolumeSize = in.VolumeSize
	out.VolumeType = in.VolumeType
	return nil
}

// Convert_v1beta1_EBS_To_v1alpha4_EBS is an autogenerated conversion function.
func Convert_v1beta1_EBS_To_v1alpha4_EBS(in *v1beta1.EBS, out *EBS, s conversion.Scope) error {
	return autoConvert_v1beta1_EBS_To_v1alpha4_EBS(in, out, s)
}

func autoConvert_v1alpha4_FargateProfileSpec_To_v1beta1_FargateProfileSpec(in *FargateProfileSpec, out *v1beta1.FargateProfileSpec, s conversion.Scope) error {
	out.ClusterName = in.ClusterName
	out.ProfileName = in.ProfileName
	out.SubnetIDs = *(*[]string)(unsafe.Pointer(&in.SubnetIDs))
	out.AdditionalTags = *(*apiv1beta1.Tags)(unsafe.Pointer(&in.AdditionalTags))
	out.RoleName = in.RoleName
	out.Selectors = *(*[]v1beta1.FargateSelector)(unsafe.Pointer(&in.Selectors))
	return nil
}

// Convert_v1alpha4_FargateProfileSpec_To_v1beta1_FargateProfileSpec is an autogenerated conversion function.
func Convert_v1alpha4_FargateProfileSpec_To_v1beta1_FargateProfileSpec(in *FargateProfileSpec, out *v1beta1.FargateProfileSpec, s conversion.Scope) error {
	return autoConvert_v1alpha4_FargateProfileSpec_To_v1beta1_FargateProfileSpec(in, out, s)
}

func autoConvert_v1beta1_FargateProfileSpec_To_v1alpha4_FargateProfileSpec(in *v1beta1.FargateProfileSpec, out *FargateProfileSpec, s conversion.Scope) error {
	out.ClusterName = in.ClusterName
	out.ProfileName = in.ProfileName
	out.SubnetIDs = *(*[]string)(unsafe.Pointer(&in.SubnetIDs))
	out.AdditionalTags = *(*apiv1alpha4.Tags)(unsafe.Pointer(&in.AdditionalTags))
	out.RoleName = in.RoleName
	out.Selectors = *(*[]FargateSelector)(unsafe.Pointer(&in.Selectors))
	return nil
}

// Convert_v1beta1_FargateProfileSpec_To_v1alpha4_FargateProfileSpec is an autogenerated conversion function.
func Convert_v1beta1_FargateProfileSpec_To_v1alpha4_FargateProfileSpec(in *v1beta1.FargateProfileSpec, out *FargateProfileSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_FargateProfileSpec_To_v1alpha4_FargateProfileSpec(in, out, s)
}

func autoConvert_v1alpha4_FargateProfileStatus_To_v1beta1_FargateProfileStatus(in *FargateProfileStatus, out *v1beta1.FargateProfileStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(clusterapiapiv1beta1.Conditions, len(*in))
		for i := range *in {
			if err := clusterapiapiv1alpha4.Convert_v1alpha4_Condition_To_v1beta1_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	return nil
}

// Convert_v1alpha4_FargateProfileStatus_To_v1beta1_FargateProfileStatus is an autogenerated conversion function.
func Convert_v1alpha4_FargateProfileStatus_To_v1beta1_FargateProfileStatus(in *FargateProfileStatus, out *v1beta1.FargateProfileStatus, s conversion.Scope) error {
	return autoConvert_v1alpha4_FargateProfileStatus_To_v1beta1_FargateProfileStatus(in, out, s)
}

func autoConvert_v1beta1_FargateProfileStatus_To_v1alpha4_FargateProfileStatus(in *v1beta1.FargateProfileStatus, out *FargateProfileStatus, s conversion.Scope) error {
	out.Ready = in.Ready
	out.FailureReason = (*errors.MachineStatusError)(unsafe.Pointer(in.FailureReason))
	out.FailureMessage = (*string)(unsafe.Pointer(in.FailureMessage))
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make(clusterapiapiv1alpha4.Conditions, len(*in))
		for i := range *in {
			if err := clusterapiapiv1alpha4.Convert_v1beta1_Condition_To_v1alpha4_Condition(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Conditions = nil
	}
	return nil
}

// Convert_v1beta1_FargateProfileStatus_To_v1alpha4_FargateProfileStatus is an autogenerated conversion function.
func Convert_v1beta1_FargateProfileStatus_To_v1alpha4_FargateProfileStatus(in *v1beta1.FargateProfileStatus, out *FargateProfileStatus, s conversion.Scope) error {
	return autoConvert_v1beta1_FargateProfileStatus_To_v1alpha4_FargateProfileStatus(in, out, s)
}

func autoConvert_v1alpha4_FargateSelector_To_v1beta1_FargateSelector(in *FargateSelector, out *v1beta1.FargateSelector, s conversion.Scope) error {
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Namespace = in.Namespace
	return nil
}

// Convert_v1alpha4_FargateSelector_To_v1beta1_FargateSelector is an autogenerated conversion function.
func Convert_v1alpha4_FargateSelector_To_v1beta1_FargateSelector(in *FargateSelector, out *v1beta1.FargateSelector, s conversion.Scope) error {
	return autoConvert_v1alpha4_FargateSelector_To_v1beta1_FargateSelector(in, out, s)
}

func autoConvert_v1beta1_FargateSelector_To_v1alpha4_FargateSelector(in *v1beta1.FargateSelector, out *FargateSelector, s conversion.Scope) error {
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Namespace = in.Namespace
	return nil
}

// Convert_v1beta1_FargateSelector_To_v1alpha4_FargateSelector is an autogenerated conversion function.
func Convert_v1beta1_FargateSelector_To_v1alpha4_FargateSelector(in *v1beta1.FargateSelector, out *FargateSelector, s conversion.Scope) error {
	return autoConvert_v1beta1_FargateSelector_To_v1alpha4_FargateSelector(in, out, s)
}

func autoConvert_v1alpha4_InstancesDistribution_To_v1beta1_InstancesDistribution(in *InstancesDistribution, out *v1beta1.InstancesDistribution, s conversion.Scope) error {
	out.OnDemandAllocationStrategy = v1beta1.OnDemandAllocationStrategy(in.OnDemandAllocationStrategy)
	out.SpotAllocationStrategy = v1beta1.SpotAllocationStrategy(in.SpotAllocationStrategy)
	out.OnDemandBaseCapacity = (*int64)(unsafe.Pointer(in.OnDemandBaseCapacity))
	out.OnDemandPercentageAboveBaseCapacity = (*int64)(unsafe.Pointer(in.OnDemandPercentageAboveBaseCapacity))
	return nil
}

// Convert_v1alpha4_InstancesDistribution_To_v1beta1_InstancesDistribution is an autogenerated conversion function.
func Convert_v1alpha4_InstancesDistribution_To_v1beta1_InstancesDistribution(in *InstancesDistribution, out *v1beta1.InstancesDistribution, s conversion.Scope) error {
	return autoConvert_v1alpha4_InstancesDistribution_To_v1beta1_InstancesDistribution(in, out, s)
}

func autoConvert_v1beta1_InstancesDistribution_To_v1alpha4_InstancesDistribution(in *v1beta1.InstancesDistribution, out *InstancesDistribution, s conversion.Scope) error {
	out.OnDemandAllocationStrategy = OnDemandAllocationStrategy(in.OnDemandAllocationStrategy)
	out.SpotAllocationStrategy = SpotAllocationStrategy(in.SpotAllocationStrategy)
	out.OnDemandBaseCapacity = (*int64)(unsafe.Pointer(in.OnDemandBaseCapacity))
	out.OnDemandPercentageAboveBaseCapacity = (*int64)(unsafe.Pointer(in.OnDemandPercentageAboveBaseCapacity))
	return nil
}

// Convert_v1beta1_InstancesDistribution_To_v1alpha4_InstancesDistribution is an autogenerated conversion function.
func Convert_v1beta1_InstancesDistribution_To_v1alpha4_InstancesDistribution(in *v1beta1.InstancesDistribution, out *InstancesDistribution, s conversion.Scope) error {
	return autoConvert_v1beta1_InstancesDistribution_To_v1alpha4_InstancesDistribution(in, out, s)
}

func autoConvert_v1alpha4_ManagedMachinePoolScaling_To_v1beta1_ManagedMachinePoolScaling(in *ManagedMachinePoolScaling, out *v1beta1.ManagedMachinePoolScaling, s conversion.Scope) error {
	out.MinSize = (*int32)(unsafe.Pointer(in.MinSize))
	out.MaxSize = (*int32)(unsafe.Pointer(in.MaxSize))
	return nil
}

// Convert_v1alpha4_ManagedMachinePoolScaling_To_v1beta1_ManagedMachinePoolScaling is an autogenerated conversion function.
func Convert_v1alpha4_ManagedMachinePoolScaling_To_v1beta1_ManagedMachinePoolScaling(in *ManagedMachinePoolScaling, out *v1beta1.ManagedMachinePoolScaling, s conversion.Scope) error {
	return autoConvert_v1alpha4_ManagedMachinePoolScaling_To_v1beta1_ManagedMachinePoolScaling(in, out, s)
}

func autoConvert_v1beta1_ManagedMachinePoolScaling_To_v1alpha4_ManagedMachinePoolScaling(in *v1beta1.ManagedMachinePoolScaling, out *ManagedMachinePoolScaling, s conversion.Scope) error {
	out.MinSize = (*int32)(unsafe.Pointer(in.MinSize))
	out.MaxSize = (*int32)(unsafe.Pointer(in.MaxSize))
	return nil
}

// Convert_v1beta1_ManagedMachinePoolScaling_To_v1alpha4_ManagedMachinePoolScaling is an autogenerated conversion function.
func Convert_v1beta1_ManagedMachinePoolScaling_To_v1alpha4_ManagedMachinePoolScaling(in *v1beta1.ManagedMachinePoolScaling, out *ManagedMachinePoolScaling, s conversion.Scope) error {
	return autoConvert_v1beta1_ManagedMachinePoolScaling_To_v1alpha4_ManagedMachinePoolScaling(in, out, s)
}

func autoConvert_v1alpha4_ManagedRemoteAccess_To_v1beta1_ManagedRemoteAccess(in *ManagedRemoteAccess, out *v1beta1.ManagedRemoteAccess, s conversion.Scope) error {
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	out.SourceSecurityGroups = *(*[]string)(unsafe.Pointer(&in.SourceSecurityGroups))
	out.Public = in.Public
	return nil
}

// Convert_v1alpha4_ManagedRemoteAccess_To_v1beta1_ManagedRemoteAccess is an autogenerated conversion function.
func Convert_v1alpha4_ManagedRemoteAccess_To_v1beta1_ManagedRemoteAccess(in *ManagedRemoteAccess, out *v1beta1.ManagedRemoteAccess, s conversion.Scope) error {
	return autoConvert_v1alpha4_ManagedRemoteAccess_To_v1beta1_ManagedRemoteAccess(in, out, s)
}

func autoConvert_v1beta1_ManagedRemoteAccess_To_v1alpha4_ManagedRemoteAccess(in *v1beta1.ManagedRemoteAccess, out *ManagedRemoteAccess, s conversion.Scope) error {
	out.SSHKeyName = (*string)(unsafe.Pointer(in.SSHKeyName))
	out.SourceSecurityGroups = *(*[]string)(unsafe.Pointer(&in.SourceSecurityGroups))
	out.Public = in.Public
	return nil
}

// Convert_v1beta1_ManagedRemoteAccess_To_v1alpha4_ManagedRemoteAccess is an autogenerated conversion function.
func Convert_v1beta1_ManagedRemoteAccess_To_v1alpha4_ManagedRemoteAccess(in *v1beta1.ManagedRemoteAccess, out *ManagedRemoteAccess, s conversion.Scope) error {
	return autoConvert_v1beta1_ManagedRemoteAccess_To_v1alpha4_ManagedRemoteAccess(in, out, s)
}

func autoConvert_v1alpha4_MixedInstancesPolicy_To_v1beta1_MixedInstancesPolicy(in *MixedInstancesPolicy, out *v1beta1.MixedInstancesPolicy, s conversion.Scope) error {
	out.InstancesDistribution = (*v1beta1.InstancesDistribution)(unsafe.Pointer(in.InstancesDistribution))
	out.Overrides = *(*[]v1beta1.Overrides)(unsafe.Pointer(&in.Overrides))
	return nil
}

// Convert_v1alpha4_MixedInstancesPolicy_To_v1beta1_MixedInstancesPolicy is an autogenerated conversion function.
func Convert_v1alpha4_MixedInstancesPolicy_To_v1beta1_MixedInstancesPolicy(in *MixedInstancesPolicy, out *v1beta1.MixedInstancesPolicy, s conversion.Scope) error {
	return autoConvert_v1alpha4_MixedInstancesPolicy_To_v1beta1_MixedInstancesPolicy(in, out, s)
}

func autoConvert_v1beta1_MixedInstancesPolicy_To_v1alpha4_MixedInstancesPolicy(in *v1beta1.MixedInstancesPolicy, out *MixedInstancesPolicy, s conversion.Scope) error {
	out.InstancesDistribution = (*InstancesDistribution)(unsafe.Pointer(in.InstancesDistribution))
	out.Overrides = *(*[]Overrides)(unsafe.Pointer(&in.Overrides))
	return nil
}

// Convert_v1beta1_MixedInstancesPolicy_To_v1alpha4_MixedInstancesPolicy is an autogenerated conversion function.
func Convert_v1beta1_MixedInstancesPolicy_To_v1alpha4_MixedInstancesPolicy(in *v1beta1.MixedInstancesPolicy, out *MixedInstancesPolicy, s conversion.Scope) error {
	return autoConvert_v1beta1_MixedInstancesPolicy_To_v1alpha4_MixedInstancesPolicy(in, out, s)
}

func autoConvert_v1alpha4_Overrides_To_v1beta1_Overrides(in *Overrides, out *v1beta1.Overrides, s conversion.Scope) error {
	out.InstanceType = in.InstanceType
	return nil
}

// Convert_v1alpha4_Overrides_To_v1beta1_Overrides is an autogenerated conversion function.
func Convert_v1alpha4_Overrides_To_v1beta1_Overrides(in *Overrides, out *v1beta1.Overrides, s conversion.Scope) error {
	return autoConvert_v1alpha4_Overrides_To_v1beta1_Overrides(in, out, s)
}

func autoConvert_v1beta1_Overrides_To_v1alpha4_Overrides(in *v1beta1.Overrides, out *Overrides, s conversion.Scope) error {
	out.InstanceType = in.InstanceType
	return nil
}

// Convert_v1beta1_Overrides_To_v1alpha4_Overrides is an autogenerated conversion function.
func Convert_v1beta1_Overrides_To_v1alpha4_Overrides(in *v1beta1.Overrides, out *Overrides, s conversion.Scope) error {
	return autoConvert_v1beta1_Overrides_To_v1alpha4_Overrides(in, out, s)
}

func autoConvert_v1alpha4_RefreshPreferences_To_v1beta1_RefreshPreferences(in *RefreshPreferences, out *v1beta1.RefreshPreferences, s conversion.Scope) error {
	out.Strategy = (*string)(unsafe.Pointer(in.Strategy))
	out.InstanceWarmup = (*int64)(unsafe.Pointer(in.InstanceWarmup))
	out.MinHealthyPercentage = (*int64)(unsafe.Pointer(in.MinHealthyPercentage))
	return nil
}

// Convert_v1alpha4_RefreshPreferences_To_v1beta1_RefreshPreferences is an autogenerated conversion function.
func Convert_v1alpha4_RefreshPreferences_To_v1beta1_RefreshPreferences(in *RefreshPreferences, out *v1beta1.RefreshPreferences, s conversion.Scope) error {
	return autoConvert_v1alpha4_RefreshPreferences_To_v1beta1_RefreshPreferences(in, out, s)
}

func autoConvert_v1beta1_RefreshPreferences_To_v1alpha4_RefreshPreferences(in *v1beta1.RefreshPreferences, out *RefreshPreferences, s conversion.Scope) error {
	out.Strategy = (*string)(unsafe.Pointer(in.Strategy))
	out.InstanceWarmup = (*int64)(unsafe.Pointer(in.InstanceWarmup))
	out.MinHealthyPercentage = (*int64)(unsafe.Pointer(in.MinHealthyPercentage))
	return nil
}

// Convert_v1beta1_RefreshPreferences_To_v1alpha4_RefreshPreferences is an autogenerated conversion function.
func Convert_v1beta1_RefreshPreferences_To_v1alpha4_RefreshPreferences(in *v1beta1.RefreshPreferences, out *RefreshPreferences, s conversion.Scope) error {
	return autoConvert_v1beta1_RefreshPreferences_To_v1alpha4_RefreshPreferences(in, out, s)
}

func autoConvert_v1alpha4_Taint_To_v1beta1_Taint(in *Taint, out *v1beta1.Taint, s conversion.Scope) error {
	out.Effect = v1beta1.TaintEffect(in.Effect)
	out.Key = in.Key
	out.Value = in.Value
	return nil
}

// Convert_v1alpha4_Taint_To_v1beta1_Taint is an autogenerated conversion function.
func Convert_v1alpha4_Taint_To_v1beta1_Taint(in *Taint, out *v1beta1.Taint, s conversion.Scope) error {
	return autoConvert_v1alpha4_Taint_To_v1beta1_Taint(in, out, s)
}

func autoConvert_v1beta1_Taint_To_v1alpha4_Taint(in *v1beta1.Taint, out *Taint, s conversion.Scope) error {
	out.Effect = TaintEffect(in.Effect)
	out.Key = in.Key
	out.Value = in.Value
	return nil
}

// Convert_v1beta1_Taint_To_v1alpha4_Taint is an autogenerated conversion function.
func Convert_v1beta1_Taint_To_v1alpha4_Taint(in *v1beta1.Taint, out *Taint, s conversion.Scope) error {
	return autoConvert_v1beta1_Taint_To_v1alpha4_Taint(in, out, s)
}
