# Test Flavors

All the flavors that are tested in e2e suites are located under `./test/e2e/data/infrastructure-aws/`.

**Important:** These flavors are generated by `Kustomize` and should not be manually edited.

To generate all e2e test flavors, run `make generate-test-flavors`.

To add a new cluster manifest for e2e tests, simply add a new directory under `./test/e2e/data/infrastructure-aws/kustomize_sources` with a `kustomization.yaml`

Example:
```bash
cp -R ./test/e2e/data/infrastructure-aws/kustomize_sources/default/ ./test/e2e/data/infrastructure-aws/kustomize_sources/custom-template/
# Do necessary changes in custom-template/.
make generate-test-flavors
```
`cluster-template-custom.yaml` will be automatically created and can be found under `./test/e2e/data/infrastructure-aws/`.

To use this new manifest in the tests, add it to `./test/e2e/data/e2e_conf.yaml`
```yaml
    files:
      # Add a cluster template
      - sourcePath: "./infrastructure-aws/generated/cluster-template-custom.yaml"
        targetName: "cluster-template-custom.yaml"
```

In e2e tests, this manifest can be used by setting the flavor to `custom` (cluster-template- part is prefix, no need to add it):
```go
	clusterctl.ApplyClusterTemplateAndWait(ctx, clusterctl.ApplyClusterTemplateAndWaitInput{
				ConfigCluster: clusterctl.ConfigClusterInput{
					Flavor:  "custom",
				},
			}, result)
```
